import{S as al,i as sl,s as rl,e as n,k as p,w as v,t as r,M as il,c as a,d as o,m as h,a as s,x as T,h as i,b as l,G as e,g,y,q as w,o as P,B as L,v as dl,L as Ot}from"../../chunks/vendor-hf-doc-builder.js";import{T as qi}from"../../chunks/Tip-hf-doc-builder.js";import{D as G}from"../../chunks/Docstring-hf-doc-builder.js";import{C as me}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as K}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Nt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function ll($){let c,k,_,m,b;return m=new me({props:{code:`from transformers import PLBartConfig, PLBartModel

# Initializing a PLBART uclanlp/plbart-base style configuration
configuration = PLBartConfig()

# Initializing a model (with random weights) from the uclanlp/plbart-base style configuration
model = PLBartModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> PLBartConfig, PLBartModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a PLBART uclanlp/plbart-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = PLBartConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the uclanlp/plbart-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PLBartModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=n("p"),k=r("Example:"),_=p(),v(m.$$.fragment)},l(d){c=a(d,"P",{});var f=s(c);k=i(f,"Example:"),f.forEach(o),_=h(d),T(m.$$.fragment,d)},m(d,f){g(d,c,f),e(c,k),g(d,_,f),y(m,d,f),b=!0},p:Ot,i(d){b||(w(m.$$.fragment,d),b=!0)},o(d){P(m.$$.fragment,d),b=!1},d(d){d&&o(c),d&&o(_),L(m,d)}}}function cl($){let c,k,_,m,b;return m=new me({props:{code:`from transformers import PLBartTokenizer

tokenizer = PLBartTokenizer.from_pretrained("uclanlp/plbart-python-en_XX", src_lang="python", tgt_lang="en_XX")
example_python_phrase = "def maximum(a,b,c):NEW_LINE_INDENTreturn max([a,b,c])"
expected_translation_english = "Returns the maximum value of a b c."
inputs = tokenizer(example_python_phrase, text_target=expected_translation_english, return_tensors="pt")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> PLBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = PLBartTokenizer.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-python-en_XX&quot;</span>, src_lang=<span class="hljs-string">&quot;python&quot;</span>, tgt_lang=<span class="hljs-string">&quot;en_XX&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_python_phrase = <span class="hljs-string">&quot;def maximum(a,b,c):NEW_LINE_INDENTreturn max([a,b,c])&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_translation_english = <span class="hljs-string">&quot;Returns the maximum value of a b c.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_python_phrase, text_target=expected_translation_english, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)`}}),{c(){c=n("p"),k=r("Examples:"),_=p(),v(m.$$.fragment)},l(d){c=a(d,"P",{});var f=s(c);k=i(f,"Examples:"),f.forEach(o),_=h(d),T(m.$$.fragment,d)},m(d,f){g(d,c,f),e(c,k),g(d,_,f),y(m,d,f),b=!0},p:Ot,i(d){b||(w(m.$$.fragment,d),b=!0)},o(d){P(m.$$.fragment,d),b=!1},d(d){d&&o(c),d&&o(_),L(m,d)}}}function pl($){let c,k,_,m,b;return{c(){c=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=a(d,"P",{});var f=s(c);k=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(f,"CODE",{});var B=s(_);m=i(B,"Module"),B.forEach(o),b=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){g(d,c,f),e(c,k),e(c,_),e(_,m),e(c,b)},d(d){d&&o(c)}}}function hl($){let c,k,_,m,b;return m=new me({props:{code:`from transformers import AutoTokenizer, PLBartModel
import torch

tokenizer = AutoTokenizer.from_pretrained("uclanlp/plbart-base")
model = PLBartModel.from_pretrained("uclanlp/plbart-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, PLBartModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PLBartModel.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){c=n("p"),k=r("Example:"),_=p(),v(m.$$.fragment)},l(d){c=a(d,"P",{});var f=s(c);k=i(f,"Example:"),f.forEach(o),_=h(d),T(m.$$.fragment,d)},m(d,f){g(d,c,f),e(c,k),g(d,_,f),y(m,d,f),b=!0},p:Ot,i(d){b||(w(m.$$.fragment,d),b=!0)},o(d){P(m.$$.fragment,d),b=!1},d(d){d&&o(c),d&&o(_),L(m,d)}}}function ul($){let c,k,_,m,b;return{c(){c=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=a(d,"P",{});var f=s(c);k=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(f,"CODE",{});var B=s(_);m=i(B,"Module"),B.forEach(o),b=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){g(d,c,f),e(c,k),e(c,_),e(_,m),e(c,b)},d(d){d&&o(c)}}}function ml($){let c,k,_,m,b;return m=new me({props:{code:`from transformers import AutoTokenizer, PLBartForConditionalGeneration

model = PLBartForConditionalGeneration.from_pretrained("uclanlp/plbart-base")
tokenizer = AutoTokenizer.from_pretrained("uclanlp/plbart-base")

# en_XX is the language symbol id <LID> for English
TXT = "<s> Is 0 the <mask> Fibonacci number ? </s> en_XX"
input_ids = tokenizer([TXT], add_special_tokens=False, return_tensors="pt").input_ids

logits = model(input_ids).logits
masked_index = (input_ids[0] == tokenizer.mask_token_id).nonzero().item()
probs = logits[0, masked_index].softmax(dim=0)
values, predictions = probs.topk(5)

tokenizer.decode(predictions).split()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, PLBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = PLBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># en_XX is the language symbol id &lt;LID&gt; for English</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>TXT = <span class="hljs-string">&quot;&lt;s&gt; Is 0 the &lt;mask&gt; Fibonacci number ? &lt;/s&gt; en_XX&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer([TXT], add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_ids).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>masked_index = (input_ids[<span class="hljs-number">0</span>] == tokenizer.mask_token_id).nonzero().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = logits[<span class="hljs-number">0</span>, masked_index].softmax(dim=<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>values, predictions = probs.topk(<span class="hljs-number">5</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predictions).split()
[<span class="hljs-string">&#x27;first&#x27;</span>, <span class="hljs-string">&#x27;same&#x27;</span>, <span class="hljs-string">&#x27;highest&#x27;</span>, <span class="hljs-string">&#x27;result&#x27;</span>, <span class="hljs-string">&#x27;number&#x27;</span>]`}}),{c(){c=n("p"),k=r("Mask-filling example:"),_=p(),v(m.$$.fragment)},l(d){c=a(d,"P",{});var f=s(c);k=i(f,"Mask-filling example:"),f.forEach(o),_=h(d),T(m.$$.fragment,d)},m(d,f){g(d,c,f),e(c,k),g(d,_,f),y(m,d,f),b=!0},p:Ot,i(d){b||(w(m.$$.fragment,d),b=!0)},o(d){P(m.$$.fragment,d),b=!1},d(d){d&&o(c),d&&o(_),L(m,d)}}}function fl($){let c,k,_,m,b;return{c(){c=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=a(d,"P",{});var f=s(c);k=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(f,"CODE",{});var B=s(_);m=i(B,"Module"),B.forEach(o),b=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){g(d,c,f),e(c,k),e(c,_),e(_,m),e(c,b)},d(d){d&&o(c)}}}function gl($){let c,k,_,m,b;return m=new me({props:{code:`import torch
from transformers import AutoTokenizer, PLBartForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("uclanlp/plbart-base")
model = PLBartForSequenceClassification.from_pretrained("uclanlp/plbart-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = PLBartForSequenceClassification.from_pretrained("uclanlp/plbart-base", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, PLBartForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PLBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PLBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){c=n("p"),k=r("Example of single-label classification:"),_=p(),v(m.$$.fragment)},l(d){c=a(d,"P",{});var f=s(c);k=i(f,"Example of single-label classification:"),f.forEach(o),_=h(d),T(m.$$.fragment,d)},m(d,f){g(d,c,f),e(c,k),g(d,_,f),y(m,d,f),b=!0},p:Ot,i(d){b||(w(m.$$.fragment,d),b=!0)},o(d){P(m.$$.fragment,d),b=!1},d(d){d&&o(c),d&&o(_),L(m,d)}}}function _l($){let c,k,_,m,b;return m=new me({props:{code:`import torch
from transformers import AutoTokenizer, PLBartForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("uclanlp/plbart-base")
model = PLBartForSequenceClassification.from_pretrained("uclanlp/plbart-base", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = PLBartForSequenceClassification.from_pretrained(
    "uclanlp/plbart-base", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, PLBartForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PLBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PLBartForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){c=n("p"),k=r("Example of multi-label classification:"),_=p(),v(m.$$.fragment)},l(d){c=a(d,"P",{});var f=s(c);k=i(f,"Example of multi-label classification:"),f.forEach(o),_=h(d),T(m.$$.fragment,d)},m(d,f){g(d,c,f),e(c,k),g(d,_,f),y(m,d,f),b=!0},p:Ot,i(d){b||(w(m.$$.fragment,d),b=!0)},o(d){P(m.$$.fragment,d),b=!1},d(d){d&&o(c),d&&o(_),L(m,d)}}}function bl($){let c,k,_,m,b;return m=new me({props:{code:`from transformers import AutoTokenizer, PLBartForCausalLM

tokenizer = AutoTokenizer.from_pretrained("uclanlp/plbart-base")
model = PLBartForCausalLM.from_pretrained("uclanlp/plbart-base", add_cross_attention=False)
assert model.config.is_decoder, f"{model.__class__} has to be configured as a decoder."
inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

logits = outputs.logits
expected_shape = [1, inputs.input_ids.shape[-1], model.config.vocab_size]
list(logits.shape) == expected_shape`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, PLBartForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PLBartForCausalLM.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>, add_cross_attention=<span class="hljs-literal">False</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> model.config.is_decoder, <span class="hljs-string">f&quot;<span class="hljs-subst">{model.__class__}</span> has to be configured as a decoder.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_shape = [<span class="hljs-number">1</span>, inputs.input_ids.shape[-<span class="hljs-number">1</span>], model.config.vocab_size]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape) == expected_shape
<span class="hljs-literal">True</span>`}}),{c(){c=n("p"),k=r("Example:"),_=p(),v(m.$$.fragment)},l(d){c=a(d,"P",{});var f=s(c);k=i(f,"Example:"),f.forEach(o),_=h(d),T(m.$$.fragment,d)},m(d,f){g(d,c,f),e(c,k),g(d,_,f),y(m,d,f),b=!0},p:Ot,i(d){b||(w(m.$$.fragment,d),b=!0)},o(d){P(m.$$.fragment,d),b=!1},d(d){d&&o(c),d&&o(_),L(m,d)}}}function kl($){let c,k,_,m,b,d,f,B,fa,bn,D,fo,ga,_a,We,ba,ka,He,va,Ta,kn,Q,fe,go,Ue,ya,_o,wa,vn,R,Pa,Ve,La,$a,bo,qa,za,Tn,It,Ba,yn,Dt,ko,xa,wn,W,Ca,Je,Ea,Fa,Ke,ja,Ma,Pn,Y,ge,vo,Qe,Aa,To,Sa,Ln,x,Na,yo,Oa,Ia,wo,Da,Xa,Po,Ga,Ra,Lo,Wa,Ha,$n,_e,Ua,Ye,Va,Ja,qn,M,Ka,Ze,$o,Qa,Ya,Za,qo,es,ts,zo,os,ns,zn,Xt,Bo,as,Bn,et,xn,Gt,tt,xo,ss,rs,Z,is,Co,ds,ls,Eo,cs,ps,Cn,ot,En,ee,be,Fo,nt,hs,jo,us,Fn,A,Mo,Rt,ms,fs,Ao,Wt,gs,_s,So,Ht,bs,ks,No,Ut,vs,jn,te,ke,Oo,at,Ts,Io,ys,Mn,E,st,ws,oe,Ps,Vt,Ls,$s,rt,qs,zs,Bs,ne,xs,Jt,Cs,Es,Kt,Fs,js,Ms,ve,An,ae,Te,Do,it,As,Xo,Ss,Sn,q,dt,Ns,Go,Os,Is,X,Ds,Qt,Xs,Gs,Yt,Rs,Ws,lt,Hs,Us,Vs,se,Js,Ro,Ks,Qs,Wo,Ys,Zs,er,ye,tr,S,ct,or,pt,nr,Ho,ar,sr,rr,ht,ut,Uo,ir,dr,Vo,lr,cr,mt,Jo,pr,hr,Ko,ur,mr,Qo,fr,Nn,re,we,Yo,ft,gr,Zo,_r,On,F,gt,br,_t,kr,Zt,vr,Tr,yr,bt,wr,kt,Pr,Lr,$r,N,vt,qr,ie,zr,eo,Br,xr,en,Cr,Er,Fr,Pe,jr,Le,In,de,$e,tn,Tt,Mr,on,Ar,Dn,j,yt,Sr,wt,Nr,to,Or,Ir,Dr,Pt,Xr,Lt,Gr,Rr,Wr,O,$t,Hr,le,Ur,oo,Vr,Jr,nn,Kr,Qr,Yr,qe,Zr,ze,Xn,ce,Be,an,qt,ei,sn,ti,Gn,z,zt,oi,rn,ni,ai,Bt,si,no,ri,ii,di,xt,li,Ct,ci,pi,hi,C,Et,ui,pe,mi,ao,fi,gi,dn,_i,bi,ki,xe,vi,Ce,Ti,Ee,Rn,he,Fe,ln,Ft,yi,cn,wi,Wn,ue,jt,Pi,je,Mt,Li,Me,Hn;return d=new K({}),Ue=new K({}),Qe=new K({}),et=new me({props:{code:`from transformers import PLBartForConditionalGeneration, PLBartTokenizer

tokenizer = PLBartTokenizer.from_pretrained("uclanlp/plbart-base", src_lang="en_XX", tgt_lang="python")
example_python_phrase = "def maximum(a,b,c):NEW_LINE_INDENTreturn max([a,b,c])"
expected_translation_english = "Returns the maximum value of a b c."
inputs = tokenizer(example_python_phrase, text_target=expected_translation_english, return_tensors="pt")
model(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> PLBartForConditionalGeneration, PLBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = PLBartTokenizer.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-base&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;python&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_python_phrase = <span class="hljs-string">&quot;def maximum(a,b,c):NEW_LINE_INDENTreturn max([a,b,c])&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_translation_english = <span class="hljs-string">&quot;Returns the maximum value of a b c.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_python_phrase, text_target=expected_translation_english, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model(**inputs)`}}),ot=new me({props:{code:`from transformers import PLBartForConditionalGeneration, PLBartTokenizer

tokenizer = PLBartTokenizer.from_pretrained("uclanlp/plbart-python-en_XX", src_lang="python", tgt_lang="en_XX")
example_python_phrase = "def maximum(a,b,c):NEW_LINE_INDENTreturn max([a,b,c])"
inputs = tokenizer(example_python_phrase, return_tensors="pt")
model = PLBartForConditionalGeneration.from_pretrained("uclanlp/plbart-python-en_XX")
translated_tokens = model.generate(**inputs, decoder_start_token_id=tokenizer.lang_code_to_id["en_XX"])
tokenizer.batch_decode(translated_tokens, skip_special_tokens=True)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> PLBartForConditionalGeneration, PLBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = PLBartTokenizer.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-python-en_XX&quot;</span>, src_lang=<span class="hljs-string">&quot;python&quot;</span>, tgt_lang=<span class="hljs-string">&quot;en_XX&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_python_phrase = <span class="hljs-string">&quot;def maximum(a,b,c):NEW_LINE_INDENTreturn max([a,b,c])&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_python_phrase, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PLBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;uclanlp/plbart-python-en_XX&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>translated_tokens = model.generate(**inputs, decoder_start_token_id=tokenizer.lang_code_to_id[<span class="hljs-string">&quot;en_XX&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(translated_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&quot;Returns the maximum value of a b c.&quot;</span>`}}),nt=new K({}),at=new K({}),st=new G({props:{name:"class transformers.PLBartConfig",anchor:"transformers.PLBartConfig",parameters:[{name:"vocab_size",val:" = 50005"},{name:"max_position_embeddings",val:" = 1024"},{name:"encoder_layers",val:" = 6"},{name:"encoder_ffn_dim",val:" = 3072"},{name:"encoder_attention_heads",val:" = 12"},{name:"decoder_layers",val:" = 6"},{name:"decoder_ffn_dim",val:" = 3072"},{name:"decoder_attention_heads",val:" = 12"},{name:"encoder_layerdrop",val:" = 0.0"},{name:"decoder_layerdrop",val:" = 0.0"},{name:"use_cache",val:" = True"},{name:"is_encoder_decoder",val:" = True"},{name:"activation_function",val:" = 'gelu'"},{name:"d_model",val:" = 768"},{name:"dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.1"},{name:"activation_dropout",val:" = 0.0"},{name:"init_std",val:" = 0.02"},{name:"classifier_dropout",val:" = 0.0"},{name:"scale_embedding",val:" = True"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"forced_eos_token_id",val:" = 2"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PLBartConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50005) &#x2014;
Vocabulary size of the PLBART model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartModel">PLBartModel</a>.`,name:"vocab_size"},{anchor:"transformers.PLBartConfig.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the layers and the pooler layer.`,name:"d_model"},{anchor:"transformers.PLBartConfig.encoder_layers",description:`<strong>encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of encoder layers.`,name:"encoder_layers"},{anchor:"transformers.PLBartConfig.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of decoder layers.`,name:"decoder_layers"},{anchor:"transformers.PLBartConfig.encoder_attention_heads",description:`<strong>encoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"encoder_attention_heads"},{anchor:"transformers.PLBartConfig.decoder_attention_heads",description:`<strong>decoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"decoder_attention_heads"},{anchor:"transformers.PLBartConfig.decoder_ffn_dim",description:`<strong>decoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"decoder_ffn_dim"},{anchor:"transformers.PLBartConfig.encoder_ffn_dim",description:`<strong>encoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"encoder_ffn_dim"},{anchor:"transformers.PLBartConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.PLBartConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.PLBartConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.PLBartConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.PLBartConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for classifier.`,name:"classifier_dropout"},{anchor:"transformers.PLBartConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.PLBartConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"init_std"},{anchor:"transformers.PLBartConfig.encoder_layerdrop",description:`<strong>encoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the encoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"encoder_layerdrop"},{anchor:"transformers.PLBartConfig.decoder_layerdrop",description:`<strong>decoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the decoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"decoder_layerdrop"},{anchor:"transformers.PLBartConfig.scale_embedding",description:`<strong>scale_embedding</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Scale embeddings by diving by sqrt(d_model).`,name:"scale_embedding"},{anchor:"transformers.PLBartConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models)`,name:"use_cache"},{anchor:"transformers.PLBartConfig.forced_eos_token_id",description:`<strong>forced_eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The id of the token to force as the last generated token when <code>max_length</code> is reached. Usually set to
<code>eos_token_id</code>.`,name:"forced_eos_token_id"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/plbart/configuration_plbart.py#L32"}}),ve=new Nt({props:{anchor:"transformers.PLBartConfig.example",$$slots:{default:[ll]},$$scope:{ctx:$}}}),it=new K({}),dt=new G({props:{name:"class transformers.PLBartTokenizer",anchor:"transformers.PLBartTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"language_codes",val:" = 'base'"},{name:"tokenizer_file",val:" = None"},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"additional_special_tokens",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PLBartTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.PLBartTokenizer.src_lang",description:`<strong>src_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the source language.`,name:"src_lang"},{anchor:"transformers.PLBartTokenizer.tgt_lang",description:`<strong>tgt_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the target language.`,name:"tgt_lang"},{anchor:"transformers.PLBartTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The start of sequence token.`,name:"bos_token"},{anchor:"transformers.PLBartTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.PLBartTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.PLBartTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The cls token, which is a special token used as the first token for all tasks.`,name:"cls_token"},{anchor:"transformers.PLBartTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.PLBartTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.PLBartTokenizer.mask_token(str,",description:`<strong>mask_token(<code>str</code>,</strong> <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masking tasks. This
is only used in the <code>&quot;base&quot;</code> tokenizer type. For <code>&quot;multi&quot;</code> tokenizer, masking is never done for the
downstream tasks.`,name:"mask_token(str,"},{anchor:"transformers.PLBartTokenizer.language_codes",description:`<strong>language_codes</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;base&quot;</code>) &#x2014;
What language codes to use. Should be one of <code>&quot;base&quot;</code> or <code>&quot;multi&quot;</code>.`,name:"language_codes"},{anchor:"transformers.PLBartTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:<ul>
<li><code>enable_sampling</code>: Enable subword regularization.</li>
<li><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul></li>
<li><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</li>
</ul>`,name:"sp_model_kwargs"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/plbart/tokenization_plbart.py#L106"}}),ye=new Nt({props:{anchor:"transformers.PLBartTokenizer.example",$$slots:{default:[cl]},$$scope:{ctx:$}}}),ct=new G({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.PLBartTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.PLBartTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.PLBartTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/plbart/tokenization_plbart.py#L333",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ft=new K({}),gt=new G({props:{name:"class transformers.PLBartModel",anchor:"transformers.PLBartModel",parameters:[{name:"config",val:": PLBartConfig"}],parametersDescription:[{anchor:"transformers.PLBartModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartConfig">PLBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/pr_21819/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/plbart/modeling_plbart.py#L1129"}}),vt=new G({props:{name:"forward",anchor:"transformers.PLBartModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:" = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.PLBartModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21819/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a> or <code>PLBartMultiTokenizer</code> depending on the checkpoint.
See <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.PLBartModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.PLBartModel.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21819/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a> or <code>PLBartMultiTokenizer</code> depending on the checkpoint.
See <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>PLBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 50003 for <em>en_XX</em>, and 50001 for <em>java</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.PLBartModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> ( &#x2014;
obj:<em>torch.LongTensor</em> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>): Default behavior:
generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.PLBartModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.PLBartModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.PLBartModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> ( &#x2014;
obj:<em>torch.Tensor</em> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>): Mask to nullify
selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.PLBartModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.PLBartModel.forward.past_key_values",description:`<strong>past_key_values</strong> ( &#x2014;
obj:<em>tuple(tuple(torch.FloatTensor))</em>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when
<code>config.use_cache=True</code>): Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple
having 2 tensors of shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional
tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.PLBartModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> ( &#x2014;
obj:<em>torch.FloatTensor</em> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally,
instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This is useful
if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s
internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.PLBartModel.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> ( &#x2014;
obj:<em>torch.FloatTensor</em> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>):
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.PLBartModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.PLBartModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.PLBartModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.PLBartModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21819/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/plbart/modeling_plbart.py#L1157",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartConfig"
>PLBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Pe=new qi({props:{$$slots:{default:[pl]},$$scope:{ctx:$}}}),Le=new Nt({props:{anchor:"transformers.PLBartModel.forward.example",$$slots:{default:[hl]},$$scope:{ctx:$}}}),Tt=new K({}),yt=new G({props:{name:"class transformers.PLBartForConditionalGeneration",anchor:"transformers.PLBartForConditionalGeneration",parameters:[{name:"config",val:": PLBartConfig"}],parametersDescription:[{anchor:"transformers.PLBartForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartConfig">PLBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/pr_21819/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/plbart/modeling_plbart.py#L1246"}}),$t=new G({props:{name:"forward",anchor:"transformers.PLBartForConditionalGeneration.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:" = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.PLBartForConditionalGeneration.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21819/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a> or <code>PLBartMultiTokenizer</code> depending on the checkpoint.
See <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.PLBartForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.PLBartForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21819/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a> or <code>PLBartMultiTokenizer</code> depending on the checkpoint.
See <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>PLBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 50003 for <em>en_XX</em>, and 50001 for <em>java</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.PLBartForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> ( &#x2014;
obj:<em>torch.LongTensor</em> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>): Default behavior:
generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.PLBartForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.PLBartForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.PLBartForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> ( &#x2014;
obj:<em>torch.Tensor</em> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>): Mask to nullify
selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.PLBartForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.PLBartForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> ( &#x2014;
obj:<em>tuple(tuple(torch.FloatTensor))</em>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when
<code>config.use_cache=True</code>): Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple
having 2 tensors of shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional
tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.PLBartForConditionalGeneration.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> ( &#x2014;
obj:<em>torch.FloatTensor</em> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally,
instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This is useful
if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s
internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.PLBartForConditionalGeneration.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> ( &#x2014;
obj:<em>torch.FloatTensor</em> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>):
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.PLBartForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.PLBartForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.PLBartForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.PLBartForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21819/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.PLBartForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/plbart/modeling_plbart.py#L1291",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartConfig"
>PLBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),qe=new qi({props:{$$slots:{default:[ul]},$$scope:{ctx:$}}}),ze=new Nt({props:{anchor:"transformers.PLBartForConditionalGeneration.forward.example",$$slots:{default:[ml]},$$scope:{ctx:$}}}),qt=new K({}),zt=new G({props:{name:"class transformers.PLBartForSequenceClassification",anchor:"transformers.PLBartForSequenceClassification",parameters:[{name:"config",val:": PLBartConfig"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PLBartForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartConfig">PLBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/pr_21819/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/plbart/modeling_plbart.py#L1418"}}),Et=new G({props:{name:"forward",anchor:"transformers.PLBartForSequenceClassification.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.PLBartForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21819/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a> or <code>PLBartMultiTokenizer</code> depending on the checkpoint.
See <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.PLBartForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.PLBartForSequenceClassification.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21819/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a> or <code>PLBartMultiTokenizer</code> depending on the checkpoint.
See <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>PLBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 50003 for <em>en_XX</em>, and 50001 for <em>java</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.PLBartForSequenceClassification.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> ( &#x2014;
obj:<em>torch.LongTensor</em> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>): Default behavior:
generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.PLBartForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.PLBartForSequenceClassification.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.PLBartForSequenceClassification.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> ( &#x2014;
obj:<em>torch.Tensor</em> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>): Mask to nullify
selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.PLBartForSequenceClassification.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.PLBartForSequenceClassification.forward.past_key_values",description:`<strong>past_key_values</strong> ( &#x2014;
obj:<em>tuple(tuple(torch.FloatTensor))</em>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when
<code>config.use_cache=True</code>): Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple
having 2 tensors of shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional
tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.PLBartForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> ( &#x2014;
obj:<em>torch.FloatTensor</em> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally,
instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This is useful
if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s
internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.PLBartForSequenceClassification.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> ( &#x2014;
obj:<em>torch.FloatTensor</em> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>):
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.PLBartForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.PLBartForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.PLBartForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.PLBartForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21819/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.PLBartForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/plbart/modeling_plbart.py#L1434",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput"
>transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartConfig"
>PLBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>label</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput"
>transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),xe=new qi({props:{$$slots:{default:[fl]},$$scope:{ctx:$}}}),Ce=new Nt({props:{anchor:"transformers.PLBartForSequenceClassification.forward.example",$$slots:{default:[gl]},$$scope:{ctx:$}}}),Ee=new Nt({props:{anchor:"transformers.PLBartForSequenceClassification.forward.example-2",$$slots:{default:[_l]},$$scope:{ctx:$}}}),Ft=new K({}),jt=new G({props:{name:"class transformers.PLBartForCausalLM",anchor:"transformers.PLBartForCausalLM",parameters:[{name:"config",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/plbart/modeling_plbart.py#L1556"}}),Mt=new G({props:{name:"forward",anchor:"transformers.PLBartForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.PLBartForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you
provide it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21819/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.PLBartForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.PLBartForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention
if the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.PLBartForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used
in the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:`,name:"encoder_attention_mask"},{anchor:"transformers.PLBartForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.PLBartForCausalLM.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.PLBartForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of
shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of
shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional
tensors are only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the
cross-attention blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those
that don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of
all <code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.PLBartForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.PLBartForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding
(see <code>past_key_values</code>).</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"use_cache"},{anchor:"transformers.PLBartForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under
returned tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.PLBartForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors
for more detail.`,name:"output_hidden_states"},{anchor:"transformers.PLBartForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21819/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/plbart/modeling_plbart.py#L1589",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartConfig"
>PLBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Me=new Nt({props:{anchor:"transformers.PLBartForCausalLM.forward.example",$$slots:{default:[bl]},$$scope:{ctx:$}}}),{c(){c=n("meta"),k=p(),_=n("h1"),m=n("a"),b=n("span"),v(d.$$.fragment),f=p(),B=n("span"),fa=r("PLBart"),bn=p(),D=n("p"),fo=n("strong"),ga=r("DISCLAIMER:"),_a=r(" If you see something strange, file a "),We=n("a"),ba=r("Github Issue"),ka=r(` and assign
`),He=n("a"),va=r("@gchhablani"),Ta=r("."),kn=p(),Q=n("h2"),fe=n("a"),go=n("span"),v(Ue.$$.fragment),ya=p(),_o=n("span"),wa=r("Overview of PLBart"),vn=p(),R=n("p"),Pa=r("The PLBART model was proposed in "),Ve=n("a"),La=r("Unified Pre-training for Program Understanding and Generation"),$a=r(` by Wasi Uddin Ahmad, Saikat Chakraborty, Baishakhi Ray, Kai-Wei Chang.
This is a BART-like model which can be used to perform code-summarization, code-generation, and code-translation tasks. The pre-trained model `),bo=n("code"),qa=r("plbart-base"),za=r(` has been trained using multilingual denoising task
on Java, Python and English.`),Tn=p(),It=n("p"),Ba=r("According to the abstract"),yn=p(),Dt=n("p"),ko=n("em"),xa=r(`Code summarization and generation empower conversion between programming language (PL) and natural language (NL),
while code translation avails the migration of legacy code from one PL to another. This paper introduces PLBART,
a sequence-to-sequence model capable of performing a broad spectrum of program and language understanding and generation tasks.
PLBART is pre-trained on an extensive collection of Java and Python functions and associated NL text via denoising autoencoding.
Experiments on code summarization in the English language, code generation, and code translation in seven programming languages
show that PLBART outperforms or rivals state-of-the-art models. Moreover, experiments on discriminative tasks, e.g., program
repair, clone detection, and vulnerable code detection, demonstrate PLBART\u2019s effectiveness in program understanding.
Furthermore, analysis reveals that PLBART learns program syntax, style (e.g., identifier naming convention), logical flow
(e.g., if block inside an else block is equivalent to else if block) that are crucial to program semantics and thus excels
even with limited annotations.`),wn=p(),W=n("p"),Ca=r("This model was contributed by "),Je=n("a"),Ea=r("gchhablani"),Fa=r(". The Authors\u2019 code can be found "),Ke=n("a"),ja=r("here"),Ma=r("."),Pn=p(),Y=n("h3"),ge=n("a"),vo=n("span"),v(Qe.$$.fragment),Aa=p(),To=n("span"),Sa=r("Training of PLBart"),Ln=p(),x=n("p"),Na=r(`PLBart is a multilingual encoder-decoder (sequence-to-sequence) model primarily intended for code-to-text, text-to-code, code-to-code tasks. As the
model is multilingual it expects the sequences in a different format. A special language id token is added in both the
source and target text. The source text format is `),yo=n("code"),Oa=r("X [eos, src_lang_code]"),Ia=r(" where "),wo=n("code"),Da=r("X"),Xa=r(` is the source text. The
target text format is `),Po=n("code"),Ga=r("[tgt_lang_code] X [eos]"),Ra=r(". "),Lo=n("code"),Wa=r("bos"),Ha=r(" is never used."),$n=p(),_e=n("p"),Ua=r("However, for fine-tuning, in some cases no language token is provided in cases where a single language is used. Please refer to "),Ye=n("a"),Va=r("the paper"),Ja=r(" to learn more about this."),qn=p(),M=n("p"),Ka=r("In cases where the language code is needed, the regular "),Ze=n("a"),$o=n("strong"),Qa=r("call"),Ya=r("()"),Za=r(` will encode source text format
when you pass texts as the first argument or with the keyword argument `),qo=n("code"),es=r("text"),ts=r(`, and will encode target text format if
it\u2019s passed with the `),zo=n("code"),os=r("text_target"),ns=r(" keyword argument."),zn=p(),Xt=n("ul"),Bo=n("li"),as=r("Supervised training"),Bn=p(),v(et.$$.fragment),xn=p(),Gt=n("ul"),tt=n("li"),xo=n("p"),ss=r("Generation"),rs=p(),Z=n("p"),is=r("While generating the target text set the "),Co=n("code"),ds=r("decoder_start_token_id"),ls=r(` to the target language id. The following
example shows how to translate Python to English using the `),Eo=n("code"),cs=r("uclanlp/plbart-python-en_XX"),ps=r(" model."),Cn=p(),v(ot.$$.fragment),En=p(),ee=n("h2"),be=n("a"),Fo=n("span"),v(nt.$$.fragment),hs=p(),jo=n("span"),us=r("Documentation resources"),Fn=p(),A=n("ul"),Mo=n("li"),Rt=n("a"),ms=r("Text classification task guide"),fs=p(),Ao=n("li"),Wt=n("a"),gs=r("Causal language modeling task guide"),_s=p(),So=n("li"),Ht=n("a"),bs=r("Translation task guide"),ks=p(),No=n("li"),Ut=n("a"),vs=r("Summarization task guide"),jn=p(),te=n("h2"),ke=n("a"),Oo=n("span"),v(at.$$.fragment),Ts=p(),Io=n("span"),ys=r("PLBartConfig"),Mn=p(),E=n("div"),v(st.$$.fragment),ws=p(),oe=n("p"),Ps=r("This is the configuration class to store the configuration of a "),Vt=n("a"),Ls=r("PLBartModel"),$s=r(`. It is used to instantiate an
PLBART model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the PLBART
`),rt=n("a"),qs=r("uclanlp/plbart-base"),zs=r(" architecture."),Bs=p(),ne=n("p"),xs=r("Configuration objects inherit from "),Jt=n("a"),Cs=r("PretrainedConfig"),Es=r(` and can be used to control the model outputs. Read the
documentation from `),Kt=n("a"),Fs=r("PretrainedConfig"),js=r(" for more information."),Ms=p(),v(ve.$$.fragment),An=p(),ae=n("h2"),Te=n("a"),Do=n("span"),v(it.$$.fragment),As=p(),Xo=n("span"),Ss=r("PLBartTokenizer"),Sn=p(),q=n("div"),v(dt.$$.fragment),Ns=p(),Go=n("p"),Os=r("Construct an PLBART tokenizer."),Is=p(),X=n("p"),Ds=r("Adapted from "),Qt=n("a"),Xs=r("RobertaTokenizer"),Gs=r(" and "),Yt=n("a"),Rs=r("XLNetTokenizer"),Ws=r(`. Based on
`),lt=n("a"),Hs=r("SentencePiece"),Us=r("."),Vs=p(),se=n("p"),Js=r("The tokenization method is "),Ro=n("code"),Ks=r("<tokens> <eos> <language code>"),Qs=r(" for source language documents, and "),Wo=n("code"),Ys=r("<language code> <tokens> <eos>"),Zs=r(" for target language documents."),er=p(),v(ye.$$.fragment),tr=p(),S=n("div"),v(ct.$$.fragment),or=p(),pt=n("p"),nr=r(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An PLBART sequence has the following format, where `),Ho=n("code"),ar=r("X"),sr=r(" represents the sequence:"),rr=p(),ht=n("ul"),ut=n("li"),Uo=n("code"),ir=r("input_ids"),dr=r(" (for encoder) "),Vo=n("code"),lr=r("X [eos, src_lang_code]"),cr=p(),mt=n("li"),Jo=n("code"),pr=r("decoder_input_ids"),hr=r(": (for decoder) "),Ko=n("code"),ur=r("X [eos, tgt_lang_code]"),mr=p(),Qo=n("p"),fr=r(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Nn=p(),re=n("h2"),we=n("a"),Yo=n("span"),v(ft.$$.fragment),gr=p(),Zo=n("span"),_r=r("PLBartModel"),On=p(),F=n("div"),v(gt.$$.fragment),br=p(),_t=n("p"),kr=r(`The bare PLBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Zt=n("a"),vr=r("PreTrainedModel"),Tr=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),yr=p(),bt=n("p"),wr=r("This model is also a PyTorch "),kt=n("a"),Pr=r("torch.nn.Module"),Lr=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),$r=p(),N=n("div"),v(vt.$$.fragment),qr=p(),ie=n("p"),zr=r("The "),eo=n("a"),Br=r("PLBartModel"),xr=r(" forward method, overrides the "),en=n("code"),Cr=r("__call__"),Er=r(" special method."),Fr=p(),v(Pe.$$.fragment),jr=p(),v(Le.$$.fragment),In=p(),de=n("h2"),$e=n("a"),tn=n("span"),v(Tt.$$.fragment),Mr=p(),on=n("span"),Ar=r("PLBartForConditionalGeneration"),Dn=p(),j=n("div"),v(yt.$$.fragment),Sr=p(),wt=n("p"),Nr=r(`The PLBART Model with a language modeling head. Can be used for code-to-text, text-to-code and code-to-code.
This model inherits from `),to=n("a"),Or=r("PreTrainedModel"),Ir=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Dr=p(),Pt=n("p"),Xr=r("This model is also a PyTorch "),Lt=n("a"),Gr=r("torch.nn.Module"),Rr=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Wr=p(),O=n("div"),v($t.$$.fragment),Hr=p(),le=n("p"),Ur=r("The "),oo=n("a"),Vr=r("PLBartForConditionalGeneration"),Jr=r(" forward method, overrides the "),nn=n("code"),Kr=r("__call__"),Qr=r(" special method."),Yr=p(),v(qe.$$.fragment),Zr=p(),v(ze.$$.fragment),Xn=p(),ce=n("h2"),Be=n("a"),an=n("span"),v(qt.$$.fragment),ei=p(),sn=n("span"),ti=r("PLBartForSequenceClassification"),Gn=p(),z=n("div"),v(zt.$$.fragment),oi=p(),rn=n("p"),ni=r(`PLBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for code
classification.`),ai=p(),Bt=n("p"),si=r("This model inherits from "),no=n("a"),ri=r("PreTrainedModel"),ii=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),di=p(),xt=n("p"),li=r("This model is also a PyTorch "),Ct=n("a"),ci=r("torch.nn.Module"),pi=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),hi=p(),C=n("div"),v(Et.$$.fragment),ui=p(),pe=n("p"),mi=r("The "),ao=n("a"),fi=r("PLBartForSequenceClassification"),gi=r(" forward method, overrides the "),dn=n("code"),_i=r("__call__"),bi=r(" special method."),ki=p(),v(xe.$$.fragment),vi=p(),v(Ce.$$.fragment),Ti=p(),v(Ee.$$.fragment),Rn=p(),he=n("h2"),Fe=n("a"),ln=n("span"),v(Ft.$$.fragment),yi=p(),cn=n("span"),wi=r("PLBartForCausalLM"),Wn=p(),ue=n("div"),v(jt.$$.fragment),Pi=p(),je=n("div"),v(Mt.$$.fragment),Li=p(),v(Me.$$.fragment),this.h()},l(t){const u=il('[data-svelte="svelte-1phssyn"]',document.head);c=a(u,"META",{name:!0,content:!0}),u.forEach(o),k=h(t),_=a(t,"H1",{class:!0});var At=s(_);m=a(At,"A",{id:!0,class:!0,href:!0});var pn=s(m);b=a(pn,"SPAN",{});var hn=s(b);T(d.$$.fragment,hn),hn.forEach(o),pn.forEach(o),f=h(At),B=a(At,"SPAN",{});var un=s(B);fa=i(un,"PLBart"),un.forEach(o),At.forEach(o),bn=h(t),D=a(t,"P",{});var H=s(D);fo=a(H,"STRONG",{});var mn=s(fo);ga=i(mn,"DISCLAIMER:"),mn.forEach(o),_a=i(H," If you see something strange, file a "),We=a(H,"A",{href:!0,rel:!0});var fn=s(We);ba=i(fn,"Github Issue"),fn.forEach(o),ka=i(H,` and assign
`),He=a(H,"A",{href:!0,rel:!0});var gn=s(He);va=i(gn,"@gchhablani"),gn.forEach(o),Ta=i(H,"."),H.forEach(o),kn=h(t),Q=a(t,"H2",{class:!0});var St=s(Q);fe=a(St,"A",{id:!0,class:!0,href:!0});var _n=s(fe);go=a(_n,"SPAN",{});var zi=s(go);T(Ue.$$.fragment,zi),zi.forEach(o),_n.forEach(o),ya=h(St),_o=a(St,"SPAN",{});var Bi=s(_o);wa=i(Bi,"Overview of PLBart"),Bi.forEach(o),St.forEach(o),vn=h(t),R=a(t,"P",{});var so=s(R);Pa=i(so,"The PLBART model was proposed in "),Ve=a(so,"A",{href:!0,rel:!0});var xi=s(Ve);La=i(xi,"Unified Pre-training for Program Understanding and Generation"),xi.forEach(o),$a=i(so,` by Wasi Uddin Ahmad, Saikat Chakraborty, Baishakhi Ray, Kai-Wei Chang.
This is a BART-like model which can be used to perform code-summarization, code-generation, and code-translation tasks. The pre-trained model `),bo=a(so,"CODE",{});var Ci=s(bo);qa=i(Ci,"plbart-base"),Ci.forEach(o),za=i(so,` has been trained using multilingual denoising task
on Java, Python and English.`),so.forEach(o),Tn=h(t),It=a(t,"P",{});var Ei=s(It);Ba=i(Ei,"According to the abstract"),Ei.forEach(o),yn=h(t),Dt=a(t,"P",{});var Fi=s(Dt);ko=a(Fi,"EM",{});var ji=s(ko);xa=i(ji,`Code summarization and generation empower conversion between programming language (PL) and natural language (NL),
while code translation avails the migration of legacy code from one PL to another. This paper introduces PLBART,
a sequence-to-sequence model capable of performing a broad spectrum of program and language understanding and generation tasks.
PLBART is pre-trained on an extensive collection of Java and Python functions and associated NL text via denoising autoencoding.
Experiments on code summarization in the English language, code generation, and code translation in seven programming languages
show that PLBART outperforms or rivals state-of-the-art models. Moreover, experiments on discriminative tasks, e.g., program
repair, clone detection, and vulnerable code detection, demonstrate PLBART\u2019s effectiveness in program understanding.
Furthermore, analysis reveals that PLBART learns program syntax, style (e.g., identifier naming convention), logical flow
(e.g., if block inside an else block is equivalent to else if block) that are crucial to program semantics and thus excels
even with limited annotations.`),ji.forEach(o),Fi.forEach(o),wn=h(t),W=a(t,"P",{});var ro=s(W);Ca=i(ro,"This model was contributed by "),Je=a(ro,"A",{href:!0,rel:!0});var Mi=s(Je);Ea=i(Mi,"gchhablani"),Mi.forEach(o),Fa=i(ro,". The Authors\u2019 code can be found "),Ke=a(ro,"A",{href:!0,rel:!0});var Ai=s(Ke);ja=i(Ai,"here"),Ai.forEach(o),Ma=i(ro,"."),ro.forEach(o),Pn=h(t),Y=a(t,"H3",{class:!0});var Un=s(Y);ge=a(Un,"A",{id:!0,class:!0,href:!0});var Si=s(ge);vo=a(Si,"SPAN",{});var Ni=s(vo);T(Qe.$$.fragment,Ni),Ni.forEach(o),Si.forEach(o),Aa=h(Un),To=a(Un,"SPAN",{});var Oi=s(To);Sa=i(Oi,"Training of PLBart"),Oi.forEach(o),Un.forEach(o),Ln=h(t),x=a(t,"P",{});var U=s(x);Na=i(U,`PLBart is a multilingual encoder-decoder (sequence-to-sequence) model primarily intended for code-to-text, text-to-code, code-to-code tasks. As the
model is multilingual it expects the sequences in a different format. A special language id token is added in both the
source and target text. The source text format is `),yo=a(U,"CODE",{});var Ii=s(yo);Oa=i(Ii,"X [eos, src_lang_code]"),Ii.forEach(o),Ia=i(U," where "),wo=a(U,"CODE",{});var Di=s(wo);Da=i(Di,"X"),Di.forEach(o),Xa=i(U,` is the source text. The
target text format is `),Po=a(U,"CODE",{});var Xi=s(Po);Ga=i(Xi,"[tgt_lang_code] X [eos]"),Xi.forEach(o),Ra=i(U,". "),Lo=a(U,"CODE",{});var Gi=s(Lo);Wa=i(Gi,"bos"),Gi.forEach(o),Ha=i(U," is never used."),U.forEach(o),$n=h(t),_e=a(t,"P",{});var Vn=s(_e);Ua=i(Vn,"However, for fine-tuning, in some cases no language token is provided in cases where a single language is used. Please refer to "),Ye=a(Vn,"A",{href:!0,rel:!0});var Ri=s(Ye);Va=i(Ri,"the paper"),Ri.forEach(o),Ja=i(Vn," to learn more about this."),Vn.forEach(o),qn=h(t),M=a(t,"P",{});var Ae=s(M);Ka=i(Ae,"In cases where the language code is needed, the regular "),Ze=a(Ae,"A",{href:!0});var $i=s(Ze);$o=a($i,"STRONG",{});var Wi=s($o);Qa=i(Wi,"call"),Wi.forEach(o),Ya=i($i,"()"),$i.forEach(o),Za=i(Ae,` will encode source text format
when you pass texts as the first argument or with the keyword argument `),qo=a(Ae,"CODE",{});var Hi=s(qo);es=i(Hi,"text"),Hi.forEach(o),ts=i(Ae,`, and will encode target text format if
it\u2019s passed with the `),zo=a(Ae,"CODE",{});var Ui=s(zo);os=i(Ui,"text_target"),Ui.forEach(o),ns=i(Ae," keyword argument."),Ae.forEach(o),zn=h(t),Xt=a(t,"UL",{});var Vi=s(Xt);Bo=a(Vi,"LI",{});var Ji=s(Bo);as=i(Ji,"Supervised training"),Ji.forEach(o),Vi.forEach(o),Bn=h(t),T(et.$$.fragment,t),xn=h(t),Gt=a(t,"UL",{});var Ki=s(Gt);tt=a(Ki,"LI",{});var Jn=s(tt);xo=a(Jn,"P",{});var Qi=s(xo);ss=i(Qi,"Generation"),Qi.forEach(o),rs=h(Jn),Z=a(Jn,"P",{});var io=s(Z);is=i(io,"While generating the target text set the "),Co=a(io,"CODE",{});var Yi=s(Co);ds=i(Yi,"decoder_start_token_id"),Yi.forEach(o),ls=i(io,` to the target language id. The following
example shows how to translate Python to English using the `),Eo=a(io,"CODE",{});var Zi=s(Eo);cs=i(Zi,"uclanlp/plbart-python-en_XX"),Zi.forEach(o),ps=i(io," model."),io.forEach(o),Jn.forEach(o),Ki.forEach(o),Cn=h(t),T(ot.$$.fragment,t),En=h(t),ee=a(t,"H2",{class:!0});var Kn=s(ee);be=a(Kn,"A",{id:!0,class:!0,href:!0});var ed=s(be);Fo=a(ed,"SPAN",{});var td=s(Fo);T(nt.$$.fragment,td),td.forEach(o),ed.forEach(o),hs=h(Kn),jo=a(Kn,"SPAN",{});var od=s(jo);us=i(od,"Documentation resources"),od.forEach(o),Kn.forEach(o),Fn=h(t),A=a(t,"UL",{});var Se=s(A);Mo=a(Se,"LI",{});var nd=s(Mo);Rt=a(nd,"A",{href:!0});var ad=s(Rt);ms=i(ad,"Text classification task guide"),ad.forEach(o),nd.forEach(o),fs=h(Se),Ao=a(Se,"LI",{});var sd=s(Ao);Wt=a(sd,"A",{href:!0});var rd=s(Wt);gs=i(rd,"Causal language modeling task guide"),rd.forEach(o),sd.forEach(o),_s=h(Se),So=a(Se,"LI",{});var id=s(So);Ht=a(id,"A",{href:!0});var dd=s(Ht);bs=i(dd,"Translation task guide"),dd.forEach(o),id.forEach(o),ks=h(Se),No=a(Se,"LI",{});var ld=s(No);Ut=a(ld,"A",{href:!0});var cd=s(Ut);vs=i(cd,"Summarization task guide"),cd.forEach(o),ld.forEach(o),Se.forEach(o),jn=h(t),te=a(t,"H2",{class:!0});var Qn=s(te);ke=a(Qn,"A",{id:!0,class:!0,href:!0});var pd=s(ke);Oo=a(pd,"SPAN",{});var hd=s(Oo);T(at.$$.fragment,hd),hd.forEach(o),pd.forEach(o),Ts=h(Qn),Io=a(Qn,"SPAN",{});var ud=s(Io);ys=i(ud,"PLBartConfig"),ud.forEach(o),Qn.forEach(o),Mn=h(t),E=a(t,"DIV",{class:!0});var Ne=s(E);T(st.$$.fragment,Ne),ws=h(Ne),oe=a(Ne,"P",{});var lo=s(oe);Ps=i(lo,"This is the configuration class to store the configuration of a "),Vt=a(lo,"A",{href:!0});var md=s(Vt);Ls=i(md,"PLBartModel"),md.forEach(o),$s=i(lo,`. It is used to instantiate an
PLBART model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the PLBART
`),rt=a(lo,"A",{href:!0,rel:!0});var fd=s(rt);qs=i(fd,"uclanlp/plbart-base"),fd.forEach(o),zs=i(lo," architecture."),lo.forEach(o),Bs=h(Ne),ne=a(Ne,"P",{});var co=s(ne);xs=i(co,"Configuration objects inherit from "),Jt=a(co,"A",{href:!0});var gd=s(Jt);Cs=i(gd,"PretrainedConfig"),gd.forEach(o),Es=i(co,` and can be used to control the model outputs. Read the
documentation from `),Kt=a(co,"A",{href:!0});var _d=s(Kt);Fs=i(_d,"PretrainedConfig"),_d.forEach(o),js=i(co," for more information."),co.forEach(o),Ms=h(Ne),T(ve.$$.fragment,Ne),Ne.forEach(o),An=h(t),ae=a(t,"H2",{class:!0});var Yn=s(ae);Te=a(Yn,"A",{id:!0,class:!0,href:!0});var bd=s(Te);Do=a(bd,"SPAN",{});var kd=s(Do);T(it.$$.fragment,kd),kd.forEach(o),bd.forEach(o),As=h(Yn),Xo=a(Yn,"SPAN",{});var vd=s(Xo);Ss=i(vd,"PLBartTokenizer"),vd.forEach(o),Yn.forEach(o),Sn=h(t),q=a(t,"DIV",{class:!0});var I=s(q);T(dt.$$.fragment,I),Ns=h(I),Go=a(I,"P",{});var Td=s(Go);Os=i(Td,"Construct an PLBART tokenizer."),Td.forEach(o),Is=h(I),X=a(I,"P",{});var Oe=s(X);Ds=i(Oe,"Adapted from "),Qt=a(Oe,"A",{href:!0});var yd=s(Qt);Xs=i(yd,"RobertaTokenizer"),yd.forEach(o),Gs=i(Oe," and "),Yt=a(Oe,"A",{href:!0});var wd=s(Yt);Rs=i(wd,"XLNetTokenizer"),wd.forEach(o),Ws=i(Oe,`. Based on
`),lt=a(Oe,"A",{href:!0,rel:!0});var Pd=s(lt);Hs=i(Pd,"SentencePiece"),Pd.forEach(o),Us=i(Oe,"."),Oe.forEach(o),Vs=h(I),se=a(I,"P",{});var po=s(se);Js=i(po,"The tokenization method is "),Ro=a(po,"CODE",{});var Ld=s(Ro);Ks=i(Ld,"<tokens> <eos> <language code>"),Ld.forEach(o),Qs=i(po," for source language documents, and "),Wo=a(po,"CODE",{});var $d=s(Wo);Ys=i($d,"<language code> <tokens> <eos>"),$d.forEach(o),Zs=i(po," for target language documents."),po.forEach(o),er=h(I),T(ye.$$.fragment,I),tr=h(I),S=a(I,"DIV",{class:!0});var Ie=s(S);T(ct.$$.fragment,Ie),or=h(Ie),pt=a(Ie,"P",{});var Zn=s(pt);nr=i(Zn,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An PLBART sequence has the following format, where `),Ho=a(Zn,"CODE",{});var qd=s(Ho);ar=i(qd,"X"),qd.forEach(o),sr=i(Zn," represents the sequence:"),Zn.forEach(o),rr=h(Ie),ht=a(Ie,"UL",{});var ea=s(ht);ut=a(ea,"LI",{});var ta=s(ut);Uo=a(ta,"CODE",{});var zd=s(Uo);ir=i(zd,"input_ids"),zd.forEach(o),dr=i(ta," (for encoder) "),Vo=a(ta,"CODE",{});var Bd=s(Vo);lr=i(Bd,"X [eos, src_lang_code]"),Bd.forEach(o),ta.forEach(o),cr=h(ea),mt=a(ea,"LI",{});var oa=s(mt);Jo=a(oa,"CODE",{});var xd=s(Jo);pr=i(xd,"decoder_input_ids"),xd.forEach(o),hr=i(oa,": (for decoder) "),Ko=a(oa,"CODE",{});var Cd=s(Ko);ur=i(Cd,"X [eos, tgt_lang_code]"),Cd.forEach(o),oa.forEach(o),ea.forEach(o),mr=h(Ie),Qo=a(Ie,"P",{});var Ed=s(Qo);fr=i(Ed,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Ed.forEach(o),Ie.forEach(o),I.forEach(o),Nn=h(t),re=a(t,"H2",{class:!0});var na=s(re);we=a(na,"A",{id:!0,class:!0,href:!0});var Fd=s(we);Yo=a(Fd,"SPAN",{});var jd=s(Yo);T(ft.$$.fragment,jd),jd.forEach(o),Fd.forEach(o),gr=h(na),Zo=a(na,"SPAN",{});var Md=s(Zo);_r=i(Md,"PLBartModel"),Md.forEach(o),na.forEach(o),On=h(t),F=a(t,"DIV",{class:!0});var De=s(F);T(gt.$$.fragment,De),br=h(De),_t=a(De,"P",{});var aa=s(_t);kr=i(aa,`The bare PLBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Zt=a(aa,"A",{href:!0});var Ad=s(Zt);vr=i(Ad,"PreTrainedModel"),Ad.forEach(o),Tr=i(aa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),aa.forEach(o),yr=h(De),bt=a(De,"P",{});var sa=s(bt);wr=i(sa,"This model is also a PyTorch "),kt=a(sa,"A",{href:!0,rel:!0});var Sd=s(kt);Pr=i(Sd,"torch.nn.Module"),Sd.forEach(o),Lr=i(sa,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),sa.forEach(o),$r=h(De),N=a(De,"DIV",{class:!0});var Xe=s(N);T(vt.$$.fragment,Xe),qr=h(Xe),ie=a(Xe,"P",{});var ho=s(ie);zr=i(ho,"The "),eo=a(ho,"A",{href:!0});var Nd=s(eo);Br=i(Nd,"PLBartModel"),Nd.forEach(o),xr=i(ho," forward method, overrides the "),en=a(ho,"CODE",{});var Od=s(en);Cr=i(Od,"__call__"),Od.forEach(o),Er=i(ho," special method."),ho.forEach(o),Fr=h(Xe),T(Pe.$$.fragment,Xe),jr=h(Xe),T(Le.$$.fragment,Xe),Xe.forEach(o),De.forEach(o),In=h(t),de=a(t,"H2",{class:!0});var ra=s(de);$e=a(ra,"A",{id:!0,class:!0,href:!0});var Id=s($e);tn=a(Id,"SPAN",{});var Dd=s(tn);T(Tt.$$.fragment,Dd),Dd.forEach(o),Id.forEach(o),Mr=h(ra),on=a(ra,"SPAN",{});var Xd=s(on);Ar=i(Xd,"PLBartForConditionalGeneration"),Xd.forEach(o),ra.forEach(o),Dn=h(t),j=a(t,"DIV",{class:!0});var Ge=s(j);T(yt.$$.fragment,Ge),Sr=h(Ge),wt=a(Ge,"P",{});var ia=s(wt);Nr=i(ia,`The PLBART Model with a language modeling head. Can be used for code-to-text, text-to-code and code-to-code.
This model inherits from `),to=a(ia,"A",{href:!0});var Gd=s(to);Or=i(Gd,"PreTrainedModel"),Gd.forEach(o),Ir=i(ia,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ia.forEach(o),Dr=h(Ge),Pt=a(Ge,"P",{});var da=s(Pt);Xr=i(da,"This model is also a PyTorch "),Lt=a(da,"A",{href:!0,rel:!0});var Rd=s(Lt);Gr=i(Rd,"torch.nn.Module"),Rd.forEach(o),Rr=i(da,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),da.forEach(o),Wr=h(Ge),O=a(Ge,"DIV",{class:!0});var Re=s(O);T($t.$$.fragment,Re),Hr=h(Re),le=a(Re,"P",{});var uo=s(le);Ur=i(uo,"The "),oo=a(uo,"A",{href:!0});var Wd=s(oo);Vr=i(Wd,"PLBartForConditionalGeneration"),Wd.forEach(o),Jr=i(uo," forward method, overrides the "),nn=a(uo,"CODE",{});var Hd=s(nn);Kr=i(Hd,"__call__"),Hd.forEach(o),Qr=i(uo," special method."),uo.forEach(o),Yr=h(Re),T(qe.$$.fragment,Re),Zr=h(Re),T(ze.$$.fragment,Re),Re.forEach(o),Ge.forEach(o),Xn=h(t),ce=a(t,"H2",{class:!0});var la=s(ce);Be=a(la,"A",{id:!0,class:!0,href:!0});var Ud=s(Be);an=a(Ud,"SPAN",{});var Vd=s(an);T(qt.$$.fragment,Vd),Vd.forEach(o),Ud.forEach(o),ei=h(la),sn=a(la,"SPAN",{});var Jd=s(sn);ti=i(Jd,"PLBartForSequenceClassification"),Jd.forEach(o),la.forEach(o),Gn=h(t),z=a(t,"DIV",{class:!0});var V=s(z);T(zt.$$.fragment,V),oi=h(V),rn=a(V,"P",{});var Kd=s(rn);ni=i(Kd,`PLBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for code
classification.`),Kd.forEach(o),ai=h(V),Bt=a(V,"P",{});var ca=s(Bt);si=i(ca,"This model inherits from "),no=a(ca,"A",{href:!0});var Qd=s(no);ri=i(Qd,"PreTrainedModel"),Qd.forEach(o),ii=i(ca,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ca.forEach(o),di=h(V),xt=a(V,"P",{});var pa=s(xt);li=i(pa,"This model is also a PyTorch "),Ct=a(pa,"A",{href:!0,rel:!0});var Yd=s(Ct);ci=i(Yd,"torch.nn.Module"),Yd.forEach(o),pi=i(pa,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),pa.forEach(o),hi=h(V),C=a(V,"DIV",{class:!0});var J=s(C);T(Et.$$.fragment,J),ui=h(J),pe=a(J,"P",{});var mo=s(pe);mi=i(mo,"The "),ao=a(mo,"A",{href:!0});var Zd=s(ao);fi=i(Zd,"PLBartForSequenceClassification"),Zd.forEach(o),gi=i(mo," forward method, overrides the "),dn=a(mo,"CODE",{});var el=s(dn);_i=i(el,"__call__"),el.forEach(o),bi=i(mo," special method."),mo.forEach(o),ki=h(J),T(xe.$$.fragment,J),vi=h(J),T(Ce.$$.fragment,J),Ti=h(J),T(Ee.$$.fragment,J),J.forEach(o),V.forEach(o),Rn=h(t),he=a(t,"H2",{class:!0});var ha=s(he);Fe=a(ha,"A",{id:!0,class:!0,href:!0});var tl=s(Fe);ln=a(tl,"SPAN",{});var ol=s(ln);T(Ft.$$.fragment,ol),ol.forEach(o),tl.forEach(o),yi=h(ha),cn=a(ha,"SPAN",{});var nl=s(cn);wi=i(nl,"PLBartForCausalLM"),nl.forEach(o),ha.forEach(o),Wn=h(t),ue=a(t,"DIV",{class:!0});var ua=s(ue);T(jt.$$.fragment,ua),Pi=h(ua),je=a(ua,"DIV",{class:!0});var ma=s(je);T(Mt.$$.fragment,ma),Li=h(ma),T(Me.$$.fragment,ma),ma.forEach(o),ua.forEach(o),this.h()},h(){l(c,"name","hf:doc:metadata"),l(c,"content",JSON.stringify(vl)),l(m,"id","plbart"),l(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(m,"href","#plbart"),l(_,"class","relative group"),l(We,"href","https://github.com/huggingface/transformers/issues/new?assignees=&labels=&template=bug-report.md&title"),l(We,"rel","nofollow"),l(He,"href","https://www.github.com/gchhablani"),l(He,"rel","nofollow"),l(fe,"id","overview-of-plbart"),l(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(fe,"href","#overview-of-plbart"),l(Q,"class","relative group"),l(Ve,"href","https://arxiv.org/abs/2103.06333"),l(Ve,"rel","nofollow"),l(Je,"href","https://huggingface.co/gchhablani"),l(Je,"rel","nofollow"),l(Ke,"href","https://github.com/wasiahmad/PLBART"),l(Ke,"rel","nofollow"),l(ge,"id","training-of-plbart"),l(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ge,"href","#training-of-plbart"),l(Y,"class","relative group"),l(Ye,"href","https://arxiv.org/abs/2103.06333"),l(Ye,"rel","nofollow"),l(Ze,"href","/docs/transformers/pr_21819/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__"),l(be,"id","documentation-resources"),l(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(be,"href","#documentation-resources"),l(ee,"class","relative group"),l(Rt,"href","../tasks/sequence_classification"),l(Wt,"href","../tasks/language_modeling"),l(Ht,"href","../tasks/translation"),l(Ut,"href","../tasks/summarization"),l(ke,"id","transformers.PLBartConfig"),l(ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ke,"href","#transformers.PLBartConfig"),l(te,"class","relative group"),l(Vt,"href","/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartModel"),l(rt,"href","https://huggingface.co/uclanlp/plbart-base"),l(rt,"rel","nofollow"),l(Jt,"href","/docs/transformers/pr_21819/en/main_classes/configuration#transformers.PretrainedConfig"),l(Kt,"href","/docs/transformers/pr_21819/en/main_classes/configuration#transformers.PretrainedConfig"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Te,"id","transformers.PLBartTokenizer"),l(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Te,"href","#transformers.PLBartTokenizer"),l(ae,"class","relative group"),l(Qt,"href","/docs/transformers/pr_21819/en/model_doc/roberta#transformers.RobertaTokenizer"),l(Yt,"href","/docs/transformers/pr_21819/en/model_doc/xlnet#transformers.XLNetTokenizer"),l(lt,"href","https://github.com/google/sentencepiece"),l(lt,"rel","nofollow"),l(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(we,"id","transformers.PLBartModel"),l(we,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(we,"href","#transformers.PLBartModel"),l(re,"class","relative group"),l(Zt,"href","/docs/transformers/pr_21819/en/main_classes/model#transformers.PreTrainedModel"),l(kt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(kt,"rel","nofollow"),l(eo,"href","/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartModel"),l(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l($e,"id","transformers.PLBartForConditionalGeneration"),l($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l($e,"href","#transformers.PLBartForConditionalGeneration"),l(de,"class","relative group"),l(to,"href","/docs/transformers/pr_21819/en/main_classes/model#transformers.PreTrainedModel"),l(Lt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Lt,"rel","nofollow"),l(oo,"href","/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartForConditionalGeneration"),l(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Be,"id","transformers.PLBartForSequenceClassification"),l(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Be,"href","#transformers.PLBartForSequenceClassification"),l(ce,"class","relative group"),l(no,"href","/docs/transformers/pr_21819/en/main_classes/model#transformers.PreTrainedModel"),l(Ct,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Ct,"rel","nofollow"),l(ao,"href","/docs/transformers/pr_21819/en/model_doc/plbart#transformers.PLBartForSequenceClassification"),l(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Fe,"id","transformers.PLBartForCausalLM"),l(Fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Fe,"href","#transformers.PLBartForCausalLM"),l(he,"class","relative group"),l(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,u){e(document.head,c),g(t,k,u),g(t,_,u),e(_,m),e(m,b),y(d,b,null),e(_,f),e(_,B),e(B,fa),g(t,bn,u),g(t,D,u),e(D,fo),e(fo,ga),e(D,_a),e(D,We),e(We,ba),e(D,ka),e(D,He),e(He,va),e(D,Ta),g(t,kn,u),g(t,Q,u),e(Q,fe),e(fe,go),y(Ue,go,null),e(Q,ya),e(Q,_o),e(_o,wa),g(t,vn,u),g(t,R,u),e(R,Pa),e(R,Ve),e(Ve,La),e(R,$a),e(R,bo),e(bo,qa),e(R,za),g(t,Tn,u),g(t,It,u),e(It,Ba),g(t,yn,u),g(t,Dt,u),e(Dt,ko),e(ko,xa),g(t,wn,u),g(t,W,u),e(W,Ca),e(W,Je),e(Je,Ea),e(W,Fa),e(W,Ke),e(Ke,ja),e(W,Ma),g(t,Pn,u),g(t,Y,u),e(Y,ge),e(ge,vo),y(Qe,vo,null),e(Y,Aa),e(Y,To),e(To,Sa),g(t,Ln,u),g(t,x,u),e(x,Na),e(x,yo),e(yo,Oa),e(x,Ia),e(x,wo),e(wo,Da),e(x,Xa),e(x,Po),e(Po,Ga),e(x,Ra),e(x,Lo),e(Lo,Wa),e(x,Ha),g(t,$n,u),g(t,_e,u),e(_e,Ua),e(_e,Ye),e(Ye,Va),e(_e,Ja),g(t,qn,u),g(t,M,u),e(M,Ka),e(M,Ze),e(Ze,$o),e($o,Qa),e(Ze,Ya),e(M,Za),e(M,qo),e(qo,es),e(M,ts),e(M,zo),e(zo,os),e(M,ns),g(t,zn,u),g(t,Xt,u),e(Xt,Bo),e(Bo,as),g(t,Bn,u),y(et,t,u),g(t,xn,u),g(t,Gt,u),e(Gt,tt),e(tt,xo),e(xo,ss),e(tt,rs),e(tt,Z),e(Z,is),e(Z,Co),e(Co,ds),e(Z,ls),e(Z,Eo),e(Eo,cs),e(Z,ps),g(t,Cn,u),y(ot,t,u),g(t,En,u),g(t,ee,u),e(ee,be),e(be,Fo),y(nt,Fo,null),e(ee,hs),e(ee,jo),e(jo,us),g(t,Fn,u),g(t,A,u),e(A,Mo),e(Mo,Rt),e(Rt,ms),e(A,fs),e(A,Ao),e(Ao,Wt),e(Wt,gs),e(A,_s),e(A,So),e(So,Ht),e(Ht,bs),e(A,ks),e(A,No),e(No,Ut),e(Ut,vs),g(t,jn,u),g(t,te,u),e(te,ke),e(ke,Oo),y(at,Oo,null),e(te,Ts),e(te,Io),e(Io,ys),g(t,Mn,u),g(t,E,u),y(st,E,null),e(E,ws),e(E,oe),e(oe,Ps),e(oe,Vt),e(Vt,Ls),e(oe,$s),e(oe,rt),e(rt,qs),e(oe,zs),e(E,Bs),e(E,ne),e(ne,xs),e(ne,Jt),e(Jt,Cs),e(ne,Es),e(ne,Kt),e(Kt,Fs),e(ne,js),e(E,Ms),y(ve,E,null),g(t,An,u),g(t,ae,u),e(ae,Te),e(Te,Do),y(it,Do,null),e(ae,As),e(ae,Xo),e(Xo,Ss),g(t,Sn,u),g(t,q,u),y(dt,q,null),e(q,Ns),e(q,Go),e(Go,Os),e(q,Is),e(q,X),e(X,Ds),e(X,Qt),e(Qt,Xs),e(X,Gs),e(X,Yt),e(Yt,Rs),e(X,Ws),e(X,lt),e(lt,Hs),e(X,Us),e(q,Vs),e(q,se),e(se,Js),e(se,Ro),e(Ro,Ks),e(se,Qs),e(se,Wo),e(Wo,Ys),e(se,Zs),e(q,er),y(ye,q,null),e(q,tr),e(q,S),y(ct,S,null),e(S,or),e(S,pt),e(pt,nr),e(pt,Ho),e(Ho,ar),e(pt,sr),e(S,rr),e(S,ht),e(ht,ut),e(ut,Uo),e(Uo,ir),e(ut,dr),e(ut,Vo),e(Vo,lr),e(ht,cr),e(ht,mt),e(mt,Jo),e(Jo,pr),e(mt,hr),e(mt,Ko),e(Ko,ur),e(S,mr),e(S,Qo),e(Qo,fr),g(t,Nn,u),g(t,re,u),e(re,we),e(we,Yo),y(ft,Yo,null),e(re,gr),e(re,Zo),e(Zo,_r),g(t,On,u),g(t,F,u),y(gt,F,null),e(F,br),e(F,_t),e(_t,kr),e(_t,Zt),e(Zt,vr),e(_t,Tr),e(F,yr),e(F,bt),e(bt,wr),e(bt,kt),e(kt,Pr),e(bt,Lr),e(F,$r),e(F,N),y(vt,N,null),e(N,qr),e(N,ie),e(ie,zr),e(ie,eo),e(eo,Br),e(ie,xr),e(ie,en),e(en,Cr),e(ie,Er),e(N,Fr),y(Pe,N,null),e(N,jr),y(Le,N,null),g(t,In,u),g(t,de,u),e(de,$e),e($e,tn),y(Tt,tn,null),e(de,Mr),e(de,on),e(on,Ar),g(t,Dn,u),g(t,j,u),y(yt,j,null),e(j,Sr),e(j,wt),e(wt,Nr),e(wt,to),e(to,Or),e(wt,Ir),e(j,Dr),e(j,Pt),e(Pt,Xr),e(Pt,Lt),e(Lt,Gr),e(Pt,Rr),e(j,Wr),e(j,O),y($t,O,null),e(O,Hr),e(O,le),e(le,Ur),e(le,oo),e(oo,Vr),e(le,Jr),e(le,nn),e(nn,Kr),e(le,Qr),e(O,Yr),y(qe,O,null),e(O,Zr),y(ze,O,null),g(t,Xn,u),g(t,ce,u),e(ce,Be),e(Be,an),y(qt,an,null),e(ce,ei),e(ce,sn),e(sn,ti),g(t,Gn,u),g(t,z,u),y(zt,z,null),e(z,oi),e(z,rn),e(rn,ni),e(z,ai),e(z,Bt),e(Bt,si),e(Bt,no),e(no,ri),e(Bt,ii),e(z,di),e(z,xt),e(xt,li),e(xt,Ct),e(Ct,ci),e(xt,pi),e(z,hi),e(z,C),y(Et,C,null),e(C,ui),e(C,pe),e(pe,mi),e(pe,ao),e(ao,fi),e(pe,gi),e(pe,dn),e(dn,_i),e(pe,bi),e(C,ki),y(xe,C,null),e(C,vi),y(Ce,C,null),e(C,Ti),y(Ee,C,null),g(t,Rn,u),g(t,he,u),e(he,Fe),e(Fe,ln),y(Ft,ln,null),e(he,yi),e(he,cn),e(cn,wi),g(t,Wn,u),g(t,ue,u),y(jt,ue,null),e(ue,Pi),e(ue,je),y(Mt,je,null),e(je,Li),y(Me,je,null),Hn=!0},p(t,[u]){const At={};u&2&&(At.$$scope={dirty:u,ctx:t}),ve.$set(At);const pn={};u&2&&(pn.$$scope={dirty:u,ctx:t}),ye.$set(pn);const hn={};u&2&&(hn.$$scope={dirty:u,ctx:t}),Pe.$set(hn);const un={};u&2&&(un.$$scope={dirty:u,ctx:t}),Le.$set(un);const H={};u&2&&(H.$$scope={dirty:u,ctx:t}),qe.$set(H);const mn={};u&2&&(mn.$$scope={dirty:u,ctx:t}),ze.$set(mn);const fn={};u&2&&(fn.$$scope={dirty:u,ctx:t}),xe.$set(fn);const gn={};u&2&&(gn.$$scope={dirty:u,ctx:t}),Ce.$set(gn);const St={};u&2&&(St.$$scope={dirty:u,ctx:t}),Ee.$set(St);const _n={};u&2&&(_n.$$scope={dirty:u,ctx:t}),Me.$set(_n)},i(t){Hn||(w(d.$$.fragment,t),w(Ue.$$.fragment,t),w(Qe.$$.fragment,t),w(et.$$.fragment,t),w(ot.$$.fragment,t),w(nt.$$.fragment,t),w(at.$$.fragment,t),w(st.$$.fragment,t),w(ve.$$.fragment,t),w(it.$$.fragment,t),w(dt.$$.fragment,t),w(ye.$$.fragment,t),w(ct.$$.fragment,t),w(ft.$$.fragment,t),w(gt.$$.fragment,t),w(vt.$$.fragment,t),w(Pe.$$.fragment,t),w(Le.$$.fragment,t),w(Tt.$$.fragment,t),w(yt.$$.fragment,t),w($t.$$.fragment,t),w(qe.$$.fragment,t),w(ze.$$.fragment,t),w(qt.$$.fragment,t),w(zt.$$.fragment,t),w(Et.$$.fragment,t),w(xe.$$.fragment,t),w(Ce.$$.fragment,t),w(Ee.$$.fragment,t),w(Ft.$$.fragment,t),w(jt.$$.fragment,t),w(Mt.$$.fragment,t),w(Me.$$.fragment,t),Hn=!0)},o(t){P(d.$$.fragment,t),P(Ue.$$.fragment,t),P(Qe.$$.fragment,t),P(et.$$.fragment,t),P(ot.$$.fragment,t),P(nt.$$.fragment,t),P(at.$$.fragment,t),P(st.$$.fragment,t),P(ve.$$.fragment,t),P(it.$$.fragment,t),P(dt.$$.fragment,t),P(ye.$$.fragment,t),P(ct.$$.fragment,t),P(ft.$$.fragment,t),P(gt.$$.fragment,t),P(vt.$$.fragment,t),P(Pe.$$.fragment,t),P(Le.$$.fragment,t),P(Tt.$$.fragment,t),P(yt.$$.fragment,t),P($t.$$.fragment,t),P(qe.$$.fragment,t),P(ze.$$.fragment,t),P(qt.$$.fragment,t),P(zt.$$.fragment,t),P(Et.$$.fragment,t),P(xe.$$.fragment,t),P(Ce.$$.fragment,t),P(Ee.$$.fragment,t),P(Ft.$$.fragment,t),P(jt.$$.fragment,t),P(Mt.$$.fragment,t),P(Me.$$.fragment,t),Hn=!1},d(t){o(c),t&&o(k),t&&o(_),L(d),t&&o(bn),t&&o(D),t&&o(kn),t&&o(Q),L(Ue),t&&o(vn),t&&o(R),t&&o(Tn),t&&o(It),t&&o(yn),t&&o(Dt),t&&o(wn),t&&o(W),t&&o(Pn),t&&o(Y),L(Qe),t&&o(Ln),t&&o(x),t&&o($n),t&&o(_e),t&&o(qn),t&&o(M),t&&o(zn),t&&o(Xt),t&&o(Bn),L(et,t),t&&o(xn),t&&o(Gt),t&&o(Cn),L(ot,t),t&&o(En),t&&o(ee),L(nt),t&&o(Fn),t&&o(A),t&&o(jn),t&&o(te),L(at),t&&o(Mn),t&&o(E),L(st),L(ve),t&&o(An),t&&o(ae),L(it),t&&o(Sn),t&&o(q),L(dt),L(ye),L(ct),t&&o(Nn),t&&o(re),L(ft),t&&o(On),t&&o(F),L(gt),L(vt),L(Pe),L(Le),t&&o(In),t&&o(de),L(Tt),t&&o(Dn),t&&o(j),L(yt),L($t),L(qe),L(ze),t&&o(Xn),t&&o(ce),L(qt),t&&o(Gn),t&&o(z),L(zt),L(Et),L(xe),L(Ce),L(Ee),t&&o(Rn),t&&o(he),L(Ft),t&&o(Wn),t&&o(ue),L(jt),L(Mt),L(Me)}}}const vl={local:"plbart",sections:[{local:"overview-of-plbart",sections:[{local:"training-of-plbart",title:"Training of PLBart"}],title:"Overview of PLBart"},{local:"documentation-resources",title:"Documentation resources"},{local:"transformers.PLBartConfig",title:"PLBartConfig"},{local:"transformers.PLBartTokenizer",title:"PLBartTokenizer"},{local:"transformers.PLBartModel",title:"PLBartModel"},{local:"transformers.PLBartForConditionalGeneration",title:"PLBartForConditionalGeneration"},{local:"transformers.PLBartForSequenceClassification",title:"PLBartForSequenceClassification"},{local:"transformers.PLBartForCausalLM",title:"PLBartForCausalLM"}],title:"PLBart"};function Tl($){return dl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class zl extends al{constructor(c){super();sl(this,c,Tl,kl,rl,{})}}export{zl as default,vl as metadata};
