import{S as ca,i as fa,s as pa,e as r,k as f,w as v,t as i,M as ha,c as a,d as t,m as p,a as n,x as S,h as l,b as m,G as o,g as h,y as w,q as y,o as $,B as T,v as ga,L as yr}from"../../chunks/vendor-hf-doc-builder.js";import{T as da}from"../../chunks/Tip-hf-doc-builder.js";import{D as j}from"../../chunks/Docstring-hf-doc-builder.js";import{C as $r}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as De}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as wr}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function ua(E){let c,x,_,g,b;return g=new $r({props:{code:`from transformers import SeaformerModel, SeaformerConfig

# Initializing a Seaformer nvidia/seaformer-b0-finetuned-ade-512-512 style configuration
configuration = SeaformerConfig()

# Initializing a model from the nvidia/seaformer-b0-finetuned-ade-512-512 style configuration
model = SeaformerModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> SeaformerModel, SeaformerConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Seaformer nvidia/seaformer-b0-finetuned-ade-512-512 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = SeaformerConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the nvidia/seaformer-b0-finetuned-ade-512-512 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = SeaformerModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=r("p"),x=i("Example:"),_=f(),v(g.$$.fragment)},l(s){c=a(s,"P",{});var u=n(c);x=l(u,"Example:"),u.forEach(t),_=p(s),S(g.$$.fragment,s)},m(s,u){h(s,c,u),o(c,x),h(s,_,u),w(g,s,u),b=!0},p:yr,i(s){b||(y(g.$$.fragment,s),b=!0)},o(s){$(g.$$.fragment,s),b=!1},d(s){s&&t(c),s&&t(_),T(g,s)}}}function _a(E){let c,x,_,g,b;return{c(){c=r("p"),x=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),g=i("Module"),b=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){c=a(s,"P",{});var u=n(c);x=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var C=n(_);g=l(C,"Module"),C.forEach(t),b=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(s,u){h(s,c,u),o(c,x),o(c,_),o(_,g),o(c,b)},d(s){s&&t(c)}}}function ba(E){let c,x,_,g,b;return g=new $r({props:{code:`from transformers import AutoImageProcessor, SeaformerModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("seaformer-large")
model = SeaformerModel.from_pretrained("seaformer-large")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, SeaformerModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;seaformer-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = SeaformerModel.from_pretrained(<span class="hljs-string">&quot;seaformer-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">128</span>, <span class="hljs-number">64</span>, <span class="hljs-number">64</span>]`}}),{c(){c=r("p"),x=i("Example:"),_=f(),v(g.$$.fragment)},l(s){c=a(s,"P",{});var u=n(c);x=l(u,"Example:"),u.forEach(t),_=p(s),S(g.$$.fragment,s)},m(s,u){h(s,c,u),o(c,x),h(s,_,u),w(g,s,u),b=!0},p:yr,i(s){b||(y(g.$$.fragment,s),b=!0)},o(s){$(g.$$.fragment,s),b=!1},d(s){s&&t(c),s&&t(_),T(g,s)}}}function va(E){let c,x,_,g,b;return{c(){c=r("p"),x=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),g=i("Module"),b=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){c=a(s,"P",{});var u=n(c);x=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var C=n(_);g=l(C,"Module"),C.forEach(t),b=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(s,u){h(s,c,u),o(c,x),o(c,_),o(_,g),o(c,b)},d(s){s&&t(c)}}}function Sa(E){let c,x,_,g,b;return g=new $r({props:{code:`from transformers import AutoImageProcessor, SeaformerForSemanticSegmentation
from PIL import Image
import requests

image_processor = AutoImageProcessor.from_pretrained("nvidia/seaformer-b0-finetuned-ade-512-512")
model = SeaformerForSemanticSegmentation.from_pretrained("nvidia/seaformer-b0-finetuned-ade-512-512")

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

inputs = image_processor(images=image, return_tensors="pt")
outputs = model(**inputs)
logits = outputs.logits  # shape (batch_size, num_labels, height/4, width/4)
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, SeaformerForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;nvidia/seaformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = SeaformerForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;nvidia/seaformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits  <span class="hljs-comment"># shape (batch_size, num_labels, height/4, width/4)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">150</span>, <span class="hljs-number">128</span>, <span class="hljs-number">128</span>]`}}),{c(){c=r("p"),x=i("Examples:"),_=f(),v(g.$$.fragment)},l(s){c=a(s,"P",{});var u=n(c);x=l(u,"Examples:"),u.forEach(t),_=p(s),S(g.$$.fragment,s)},m(s,u){h(s,c,u),o(c,x),h(s,_,u),w(g,s,u),b=!0},p:yr,i(s){b||(y(g.$$.fragment,s),b=!0)},o(s){$(g.$$.fragment,s),b=!1},d(s){s&&t(c),s&&t(_),T(g,s)}}}function wa(E){let c,x,_,g,b,s,u,C,et,To,L,G,ro,ce,ot,ao,tt,xo,Y,rt,fe,at,nt,Po,qe,st,Io,Re,no,it,Eo,Oe,lt,ko,He,mt,zo,M,dt,pe,ct,ft,he,pt,ht,Co,N,J,so,ge,gt,io,ut,Ao,P,ue,_t,D,bt,Ue,vt,St,_e,wt,yt,$t,q,Tt,We,xt,Pt,Be,It,Et,kt,Z,Fo,R,K,lo,be,zt,mo,Ct,Mo,I,ve,At,co,Ft,Mt,Q,Se,jt,fo,Lt,Nt,X,we,Dt,ye,qt,Ve,Rt,Ot,jo,O,ee,po,$e,Ht,ho,Ut,Lo,A,Te,Wt,xe,Bt,Pe,Vt,Gt,Yt,k,Ie,Jt,H,Zt,Ge,Kt,Qt,go,Xt,er,or,oe,tr,te,No,U,re,uo,Ee,rr,_o,ar,Do,W,ke,nr,Ye,ze,qo,B,ae,bo,Ce,sr,vo,ir,Ro,F,Ae,lr,Fe,mr,Me,dr,cr,fr,z,je,pr,V,hr,Je,gr,ur,So,_r,br,vr,ne,Sr,se,Oo;return s=new De({}),ce=new De({}),ge=new De({}),ue=new j({props:{name:"class transformers.SeaformerConfig",anchor:"transformers.SeaformerConfig",parameters:[{name:"depths",val:" = [3, 3, 3]"},{name:"channels",val:" = [32, 64, 128, 192, 256, 320]"},{name:"mv2_blocks_cfgs",val:" = [[[3, 3, 32, 1], [3, 4, 64, 2], [3, 4, 64, 1]], [[5, 4, 128, 2], [5, 4, 128, 1]], [[3, 4, 192, 2], [3, 4, 192, 1]], [[5, 4, 256, 2]], [[3, 6, 320, 2]]]"},{name:"drop_path_rate",val:" = 0.1"},{name:"emb_dims",val:" = [192, 256, 320]"},{name:"key_dims",val:" = [16, 20, 24]"},{name:"num_attention_heads",val:" = 8"},{name:"mlp_ratios",val:" = [2, 4, 6]"},{name:"attn_ratios",val:" = 2"},{name:"in_channels",val:" = [128, 192, 256, 320]"},{name:"in_index",val:" = [0, 1, 2, 3]"},{name:"decoder_channels",val:" = 192"},{name:"embed_dims",val:" = [128, 160, 192]"},{name:"is_depthwise",val:" = True"},{name:"semantic_loss_ignore_index",val:" = 255"},{name:"hidden_act",val:" = 'relu'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SeaformerConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.SeaformerConfig.num_encoder_blocks",description:`<strong>num_encoder_blocks</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of encoder blocks (i.e. stages in the Mix Transformer encoder).`,name:"num_encoder_blocks"},{anchor:"transformers.SeaformerConfig.depths",description:`<strong>depths</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 3, 3]</code>) &#x2014;
The number of layers in each encoder block.`,name:"depths"},{anchor:"transformers.SeaformerConfig.num_labels",description:`<strong>num_labels</strong> (<code>int</code>, <em>optional</em>, defaults to 150) &#x2014;
Number of classes in output`,name:"num_labels"},{anchor:"transformers.SeaformerConfig.channels",description:`<strong>channels</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[32, 64, 128, 192, 256, 320]</code>) &#x2014;
Number of input channels in each StackedMV2Block`,name:"channels"},{anchor:"transformers.SeaformerConfig.mv2_blocks_cfgs",description:`<strong>mv2_blocks_cfgs</strong> (<code>List[List[List[int]]]</code>, <em>optional</em>, defaults to <code>[ -- [ [3, 3, 32, 1], [3, 4, 64, 2], [3, 4, 64, 1]], [ [5, 4, 128, 2], [5, 4, 128, 1]], [ [3, 4, 192, 2], [3, 4, 192, 1]], [ [5, 4, 256, 2]], [ [3, 6, 320, 2]] ]</code>): Input parameters [kernel_size, expand_ratio, out_channels, stride] for all Inverted Residual blocks
within each StackedMV2Block`,name:"mv2_blocks_cfgs"},{anchor:"transformers.SeaformerConfig.emb_dims",description:`<strong>emb_dims</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[192, 256, 320]</code>) &#x2014;
Dimension of Seaformer Attention block`,name:"emb_dims"},{anchor:"transformers.SeaformerConfig.key_dims",description:`<strong>key_dims</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[16, 20, 24]</code>) &#x2014;
Dimension into which key and query will be projected`,name:"key_dims"},{anchor:"transformers.SeaformerConfig.attn_ratios",description:`<strong>attn_ratios</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Ratio of dimension of value to query`,name:"attn_ratios"},{anchor:"transformers.SeaformerConfig.in_channels",description:`<strong>in_channels</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[128, 192, 256, 320]</code>) &#x2014;
Input channels in fusion block`,name:"in_channels"},{anchor:"transformers.SeaformerConfig.in_index",description:`<strong>in_index</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[0, 1, 2, 3]</code>) &#x2014;
Indexes required by decoder head from hidden_states`,name:"in_index"},{anchor:"transformers.SeaformerConfig.decoder_channels",description:`<strong>decoder_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 192) &#x2014;
Dimension of last fusion block output which will be fed to decoder head`,name:"decoder_channels"},{anchor:"transformers.SeaformerConfig.embed_dims",description:`<strong>embed_dims</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[128, 160, 192]</code>) &#x2014;
Embedding dimension of Fusion block`,name:"embed_dims"},{anchor:"transformers.SeaformerConfig.is_depthwise",description:`<strong>is_depthwise</strong> (<code>bool</code>, <em>optional</em>, defaults to True) &#x2014;
Flag if set True will perform depthwise convolution`,name:"is_depthwise"},{anchor:"transformers.SeaformerConfig.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[128]</code>) &#x2014;
Dimension of each of the encoder blocks.`,name:"hidden_sizes"},{anchor:"transformers.SeaformerConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 2, 5, 8]</code>) &#x2014;
Number of attention heads for each attention layer in each block of the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.SeaformerConfig.mlp_ratios",description:`<strong>mlp_ratios</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[2, 4, 6]</code>) &#x2014;
Ratio of the size of the hidden layer compared to the size of the input layer of the Mix FFNs in the
encoder blocks.`,name:"mlp_ratios"},{anchor:"transformers.SeaformerConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.SeaformerConfig.drop_path_rate",description:`<strong>drop_path_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for stochastic depth, used in the blocks of the Transformer encoder.`,name:"drop_path_rate"},{anchor:"transformers.SeaformerConfig.semantic_loss_ignore_index",description:`<strong>semantic_loss_ignore_index</strong> (<code>int</code>, <em>optional</em>, defaults to 255) &#x2014;
The index that is ignored by the loss function of the semantic segmentation model.`,name:"semantic_loss_ignore_index"},{anchor:"transformers.SeaformerConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to &#x2018;relu&#x2019;) &#x2014;
The non-linear activation function in the encoder`,name:"hidden_act"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/seaformer/configuration_seaformer.py#L30"}}),Z=new wr({props:{anchor:"transformers.SeaformerConfig.example",$$slots:{default:[ua]},$$scope:{ctx:E}}}),be=new De({}),ve=new j({props:{name:"class transformers.SeaformerImageProcessor",anchor:"transformers.SeaformerImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"do_reduce_labels",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SeaformerImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>(size[&quot;height&quot;], size[&quot;width&quot;])</code>. Can be overridden by the <code>do_resize</code> parameter in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.SeaformerImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;height&quot; -- 512, &quot;width&quot;: 512}</code>):
Size of the output image after resizing. Can be overridden by the <code>size</code> parameter in the <code>preprocess</code>
method.`,name:"size"},{anchor:"transformers.SeaformerImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overridden by the <code>resample</code> parameter in the
<code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.SeaformerImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by the <code>do_rescale</code>
parameter in the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.SeaformerImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"rescale_factor"},{anchor:"transformers.SeaformerImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.SeaformerImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.SeaformerImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"},{anchor:"transformers.SeaformerImageProcessor.do_reduce_labels",description:`<strong>do_reduce_labels</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to reduce all label values of segmentation maps by 1. Usually used for datasets where 0 is
used for background, and background itself is not included in all classes of a dataset (e.g. ADE20k). The
background label will be replaced by 255. Can be overridden by the <code>do_reduce_labels</code> parameter in the
<code>preprocess</code> method.`,name:"do_reduce_labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/seaformer/image_processing_seaformer.py#L49"}}),Se=new j({props:{name:"preprocess",anchor:"transformers.SeaformerImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"segmentation_maps",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')], NoneType] = None"},{name:"do_resize",val:": typing.Optional[bool] = None"},{name:"size",val:": typing.Union[typing.Dict[str, int], NoneType] = None"},{name:"resample",val:": Resampling = None"},{name:"do_rescale",val:": typing.Optional[bool] = None"},{name:"rescale_factor",val:": typing.Optional[float] = None"},{name:"do_normalize",val:": typing.Optional[bool] = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"do_reduce_labels",val:": typing.Optional[bool] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SeaformerImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.SeaformerImageProcessor.preprocess.segmentation_maps",description:`<strong>segmentation_maps</strong> (<code>ImageInput</code>, <em>optional</em>) &#x2014;
Segmentation map to preprocess.`,name:"segmentation_maps"},{anchor:"transformers.SeaformerImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.SeaformerImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the image after <code>resize</code> is applied.`,name:"size"},{anchor:"transformers.SeaformerImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of the enum <code>PILImageResampling</code>, Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.SeaformerImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.SeaformerImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.SeaformerImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.SeaformerImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean.`,name:"image_mean"},{anchor:"transformers.SeaformerImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.SeaformerImageProcessor.preprocess.do_reduce_labels",description:`<strong>do_reduce_labels</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_reduce_labels</code>) &#x2014;
Whether or not to reduce all label values of segmentation maps by 1. Usually used for datasets where 0
is used for background, and background itself is not included in all classes of a dataset (e.g.
ADE20k). The background label will be replaced by 255.`,name:"do_reduce_labels"},{anchor:"transformers.SeaformerImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.SeaformerImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/seaformer/image_processing_seaformer.py#L290"}}),we=new j({props:{name:"post_process_semantic_segmentation",anchor:"transformers.SeaformerImageProcessor.post_process_semantic_segmentation",parameters:[{name:"outputs",val:""},{name:"target_sizes",val:": typing.List[typing.Tuple] = None"}],parametersDescription:[{anchor:"transformers.SeaformerImageProcessor.post_process_semantic_segmentation.outputs",description:`<strong>outputs</strong> (<a href="/docs/transformers/pr_21819/en/model_doc/seaformer#transformers.SeaformerForSemanticSegmentation">SeaformerForSemanticSegmentation</a>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.SeaformerImageProcessor.post_process_semantic_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple]</code> of length <code>batch_size</code>, <em>optional</em>) &#x2014;
List of tuples corresponding to the requested final size (height, width) of each prediction. If left to
None, predictions will not be resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/seaformer/image_processing_seaformer.py#L415",returnDescription:`
<p><code>List[torch.Tensor]</code> of length <code>batch_size</code>, where each item is a semantic
segmentation map of shape (height, width) corresponding to the target_sizes entry (if <code>target_sizes</code> is
specified). Each entry of each <code>torch.Tensor</code> correspond to a semantic class id.</p>
`,returnType:`
<p>semantic_segmentation</p>
`}}),$e=new De({}),Te=new j({props:{name:"class transformers.SeaformerModel",anchor:"transformers.SeaformerModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.SeaformerModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21819/en/model_doc/seaformer#transformers.SeaformerConfig">SeaformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21819/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/seaformer/modeling_seaformer.py#L604"}}),Ie=new j({props:{name:"forward",anchor:"transformers.SeaformerModel.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.SeaformerModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/pr_21819/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <code>SeaformerImageProcessor.__call__()</code> for details.`,name:"pixel_values"},{anchor:"transformers.SeaformerModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.SeaformerModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.SeaformerModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21819/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/seaformer/modeling_seaformer.py#L623",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21819/en/model_doc/seaformer#transformers.SeaformerConfig"
>SeaformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),oe=new da({props:{$$slots:{default:[_a]},$$scope:{ctx:E}}}),te=new wr({props:{anchor:"transformers.SeaformerModel.forward.example",$$slots:{default:[ba]},$$scope:{ctx:E}}}),Ee=new De({}),ke=new j({props:{name:"class transformers.SeaformerDecodeHead",anchor:"transformers.SeaformerDecodeHead",parameters:[{name:"config",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/seaformer/modeling_seaformer.py#L662"}}),ze=new j({props:{name:"forward",anchor:"transformers.SeaformerDecodeHead.forward",parameters:[{name:"encoder_hidden_states",val:": FloatTensor"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/seaformer/modeling_seaformer.py#L701"}}),Ce=new De({}),Ae=new j({props:{name:"class transformers.SeaformerForSemanticSegmentation",anchor:"transformers.SeaformerForSemanticSegmentation",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.SeaformerForSemanticSegmentation.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21819/en/model_doc/seaformer#transformers.SeaformerConfig">SeaformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21819/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/seaformer/modeling_seaformer.py#L718"}}),je=new j({props:{name:"forward",anchor:"transformers.SeaformerForSemanticSegmentation.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.SeaformerForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/pr_21819/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <code>SeaformerImageProcessor.__call__()</code> for details.`,name:"pixel_values"},{anchor:"transformers.SeaformerForSemanticSegmentation.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.SeaformerForSemanticSegmentation.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.SeaformerForSemanticSegmentation.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21819/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.SeaformerForSemanticSegmentation.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, height, width)</code>, <em>optional</em>) &#x2014;
Ground truth semantic segmentation maps for computing the loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code>, a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21819/src/transformers/models/seaformer/modeling_seaformer.py#L727",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.SemanticSegmenterOutput"
>transformers.modeling_outputs.SemanticSegmenterOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21819/en/model_doc/seaformer#transformers.SeaformerConfig"
>SeaformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels, logits_height, logits_width)</code>) \u2014 Classification scores for each pixel.</p>
<Tip warning={true}>
<p>The logits returned do not necessarily have the same size as the <code>pixel_values</code> passed as inputs. This is
to avoid doing two interpolations and lose some quality when a user needs to resize the logits to the
original image size as post-processing. You should always check your logits shape and resize as needed.</p>
</Tip>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, patch_size, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, patch_size, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21819/en/main_classes/output#transformers.modeling_outputs.SemanticSegmenterOutput"
>transformers.modeling_outputs.SemanticSegmenterOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ne=new da({props:{$$slots:{default:[va]},$$scope:{ctx:E}}}),se=new wr({props:{anchor:"transformers.SeaformerForSemanticSegmentation.forward.example",$$slots:{default:[Sa]},$$scope:{ctx:E}}}),{c(){c=r("meta"),x=f(),_=r("h1"),g=r("a"),b=r("span"),v(s.$$.fragment),u=f(),C=r("span"),et=i("Seaformer"),To=f(),L=r("h2"),G=r("a"),ro=r("span"),v(ce.$$.fragment),ot=f(),ao=r("span"),tt=i("Overview"),xo=f(),Y=r("p"),rt=i("The Seaformer model was proposed in "),fe=r("a"),at=i("SeaFormer: Squeeze-enhanced Axial Transformer for Mobile Semantic Segmentation"),nt=i(` by Qiang Wan, Zilong Huang, Jiachen Lu, Gang Yu, Li Zhang.
SeaFormer is a mobile-friendly semantic segmentation model that proposes a squeeze-enhanced Axial TransFormer for detail enhancement at a lower computational cost.`),Po=f(),qe=r("p"),st=i("The abstract from the paper is the following:"),Io=f(),Re=r("p"),no=r("em"),it=i(`Since the introduction of Vision Transformers, the landscape of many computer vision tasks (e.g., semantic segmentation),
which has been overwhelmingly dominated by CNNs, recently has significantly revolutionized.
However, the computational cost and memory requirement render these methods unsuitable on the mobile device,
especially for the high-resolution per-pixel semantic segmentation task.
In this paper, we introduce a new method squeeze-enhanced Axial TransFormer (SeaFormer) for mobile semantic segmentation.
Specifically, we design a generic attention block characterized by the formulation of squeeze Axial and detail enhancement.
It can be further used to create a family of backbone architectures with superior cost-effectiveness.
Coupled with a light segmentation head, we achieve the best trade-off between segmentation accuracy and latency on the ARM-based mobile devices on the ADE20K and Cityscapes datasets.
Critically, we beat both the mobile-friendly rivals and Transformer-based counterparts with better performance and lower latency without bells and whistles.
Beyond semantic segmentation, we further apply the proposed SeaFormer architecture to image classification problem, demonstrating the potentials of serving as a versatile mobile-friendly backbone.`),Eo=f(),Oe=r("p"),lt=i("Tips:"),ko=f(),He=r("p"),mt=i("<INSERT TIPS ABOUT MODEL HERE>"),zo=f(),M=r("p"),dt=i("This model was contributed by "),pe=r("a"),ct=i("Inderpreet01"),ft=i(`.
The original code can be found `),he=r("a"),pt=i("fudan-zvg/SeaFormer"),ht=i("."),Co=f(),N=r("h2"),J=r("a"),so=r("span"),v(ge.$$.fragment),gt=f(),io=r("span"),ut=i("SeaformerConfig"),Ao=f(),P=r("div"),v(ue.$$.fragment),_t=f(),D=r("p"),bt=i("This is the configuration class to store the configuration of a "),Ue=r("a"),vt=i("SeaformerModel"),St=i(`. It is used to instantiate an
Seaformer model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the Seaformer
`),_e=r("a"),wt=i("nvidia/seaformer-b0-finetuned-ade-512-512"),yt=i(`
architecture.`),$t=f(),q=r("p"),Tt=i("Configuration objects inherit from "),We=r("a"),xt=i("PretrainedConfig"),Pt=i(` and can be used to control the model outputs. Read the
documentation from `),Be=r("a"),It=i("PretrainedConfig"),Et=i(" for more information."),kt=f(),v(Z.$$.fragment),Fo=f(),R=r("h2"),K=r("a"),lo=r("span"),v(be.$$.fragment),zt=f(),mo=r("span"),Ct=i("SeaformerImageProcessor"),Mo=f(),I=r("div"),v(ve.$$.fragment),At=f(),co=r("p"),Ft=i("Constructs a Seaformer image processor."),Mt=f(),Q=r("div"),v(Se.$$.fragment),jt=f(),fo=r("p"),Lt=i("Preprocess an image or batch of images."),Nt=f(),X=r("div"),v(we.$$.fragment),Dt=f(),ye=r("p"),qt=i("Converts the output of "),Ve=r("a"),Rt=i("SeaformerForSemanticSegmentation"),Ot=i(` into semantic segmentation maps. Only supports
PyTorch.`),jo=f(),O=r("h2"),ee=r("a"),po=r("span"),v($e.$$.fragment),Ht=f(),ho=r("span"),Ut=i("SeaformerModel"),Lo=f(),A=r("div"),v(Te.$$.fragment),Wt=f(),xe=r("p"),Bt=i(`The bare Seaformer encoder (Mix-Transformer) outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Pe=r("a"),Vt=i("torch.nn.Module"),Gt=i(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Yt=f(),k=r("div"),v(Ie.$$.fragment),Jt=f(),H=r("p"),Zt=i("The "),Ge=r("a"),Kt=i("SeaformerModel"),Qt=i(" forward method, overrides the "),go=r("code"),Xt=i("__call__"),er=i(" special method."),or=f(),v(oe.$$.fragment),tr=f(),v(te.$$.fragment),No=f(),U=r("h2"),re=r("a"),uo=r("span"),v(Ee.$$.fragment),rr=f(),_o=r("span"),ar=i("SeaformerDecodeHead"),Do=f(),W=r("div"),v(ke.$$.fragment),nr=f(),Ye=r("div"),v(ze.$$.fragment),qo=f(),B=r("h2"),ae=r("a"),bo=r("span"),v(Ce.$$.fragment),sr=f(),vo=r("span"),ir=i("SeaformerForSemanticSegmentation"),Ro=f(),F=r("div"),v(Ae.$$.fragment),lr=f(),Fe=r("p"),mr=i(`Seaformer Model transformer with an all-MLP decode head on top e.g. for ADE20k, CityScapes.
This model is a PyTorch `),Me=r("a"),dr=i("torch.nn.Module"),cr=i(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),fr=f(),z=r("div"),v(je.$$.fragment),pr=f(),V=r("p"),hr=i("The "),Je=r("a"),gr=i("SeaformerForSemanticSegmentation"),ur=i(" forward method, overrides the "),So=r("code"),_r=i("__call__"),br=i(" special method."),vr=f(),v(ne.$$.fragment),Sr=f(),v(se.$$.fragment),this.h()},l(e){const d=ha('[data-svelte="svelte-1phssyn"]',document.head);c=a(d,"META",{name:!0,content:!0}),d.forEach(t),x=p(e),_=a(e,"H1",{class:!0});var Le=n(_);g=a(Le,"A",{id:!0,class:!0,href:!0});var wo=n(g);b=a(wo,"SPAN",{});var yo=n(b);S(s.$$.fragment,yo),yo.forEach(t),wo.forEach(t),u=p(Le),C=a(Le,"SPAN",{});var $o=n(C);et=l($o,"Seaformer"),$o.forEach(t),Le.forEach(t),To=p(e),L=a(e,"H2",{class:!0});var Ne=n(L);G=a(Ne,"A",{id:!0,class:!0,href:!0});var Tr=n(G);ro=a(Tr,"SPAN",{});var xr=n(ro);S(ce.$$.fragment,xr),xr.forEach(t),Tr.forEach(t),ot=p(Ne),ao=a(Ne,"SPAN",{});var Pr=n(ao);tt=l(Pr,"Overview"),Pr.forEach(t),Ne.forEach(t),xo=p(e),Y=a(e,"P",{});var Ho=n(Y);rt=l(Ho,"The Seaformer model was proposed in "),fe=a(Ho,"A",{href:!0,rel:!0});var Ir=n(fe);at=l(Ir,"SeaFormer: Squeeze-enhanced Axial Transformer for Mobile Semantic Segmentation"),Ir.forEach(t),nt=l(Ho,` by Qiang Wan, Zilong Huang, Jiachen Lu, Gang Yu, Li Zhang.
SeaFormer is a mobile-friendly semantic segmentation model that proposes a squeeze-enhanced Axial TransFormer for detail enhancement at a lower computational cost.`),Ho.forEach(t),Po=p(e),qe=a(e,"P",{});var Er=n(qe);st=l(Er,"The abstract from the paper is the following:"),Er.forEach(t),Io=p(e),Re=a(e,"P",{});var kr=n(Re);no=a(kr,"EM",{});var zr=n(no);it=l(zr,`Since the introduction of Vision Transformers, the landscape of many computer vision tasks (e.g., semantic segmentation),
which has been overwhelmingly dominated by CNNs, recently has significantly revolutionized.
However, the computational cost and memory requirement render these methods unsuitable on the mobile device,
especially for the high-resolution per-pixel semantic segmentation task.
In this paper, we introduce a new method squeeze-enhanced Axial TransFormer (SeaFormer) for mobile semantic segmentation.
Specifically, we design a generic attention block characterized by the formulation of squeeze Axial and detail enhancement.
It can be further used to create a family of backbone architectures with superior cost-effectiveness.
Coupled with a light segmentation head, we achieve the best trade-off between segmentation accuracy and latency on the ARM-based mobile devices on the ADE20K and Cityscapes datasets.
Critically, we beat both the mobile-friendly rivals and Transformer-based counterparts with better performance and lower latency without bells and whistles.
Beyond semantic segmentation, we further apply the proposed SeaFormer architecture to image classification problem, demonstrating the potentials of serving as a versatile mobile-friendly backbone.`),zr.forEach(t),kr.forEach(t),Eo=p(e),Oe=a(e,"P",{});var Cr=n(Oe);lt=l(Cr,"Tips:"),Cr.forEach(t),ko=p(e),He=a(e,"P",{});var Ar=n(He);mt=l(Ar,"<INSERT TIPS ABOUT MODEL HERE>"),Ar.forEach(t),zo=p(e),M=a(e,"P",{});var Ze=n(M);dt=l(Ze,"This model was contributed by "),pe=a(Ze,"A",{href:!0,rel:!0});var Fr=n(pe);ct=l(Fr,"Inderpreet01"),Fr.forEach(t),ft=l(Ze,`.
The original code can be found `),he=a(Ze,"A",{href:!0,rel:!0});var Mr=n(he);pt=l(Mr,"fudan-zvg/SeaFormer"),Mr.forEach(t),ht=l(Ze,"."),Ze.forEach(t),Co=p(e),N=a(e,"H2",{class:!0});var Uo=n(N);J=a(Uo,"A",{id:!0,class:!0,href:!0});var jr=n(J);so=a(jr,"SPAN",{});var Lr=n(so);S(ge.$$.fragment,Lr),Lr.forEach(t),jr.forEach(t),gt=p(Uo),io=a(Uo,"SPAN",{});var Nr=n(io);ut=l(Nr,"SeaformerConfig"),Nr.forEach(t),Uo.forEach(t),Ao=p(e),P=a(e,"DIV",{class:!0});var ie=n(P);S(ue.$$.fragment,ie),_t=p(ie),D=a(ie,"P",{});var Ke=n(D);bt=l(Ke,"This is the configuration class to store the configuration of a "),Ue=a(Ke,"A",{href:!0});var Dr=n(Ue);vt=l(Dr,"SeaformerModel"),Dr.forEach(t),St=l(Ke,`. It is used to instantiate an
Seaformer model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the Seaformer
`),_e=a(Ke,"A",{href:!0,rel:!0});var qr=n(_e);wt=l(qr,"nvidia/seaformer-b0-finetuned-ade-512-512"),qr.forEach(t),yt=l(Ke,`
architecture.`),Ke.forEach(t),$t=p(ie),q=a(ie,"P",{});var Qe=n(q);Tt=l(Qe,"Configuration objects inherit from "),We=a(Qe,"A",{href:!0});var Rr=n(We);xt=l(Rr,"PretrainedConfig"),Rr.forEach(t),Pt=l(Qe,` and can be used to control the model outputs. Read the
documentation from `),Be=a(Qe,"A",{href:!0});var Or=n(Be);It=l(Or,"PretrainedConfig"),Or.forEach(t),Et=l(Qe," for more information."),Qe.forEach(t),kt=p(ie),S(Z.$$.fragment,ie),ie.forEach(t),Fo=p(e),R=a(e,"H2",{class:!0});var Wo=n(R);K=a(Wo,"A",{id:!0,class:!0,href:!0});var Hr=n(K);lo=a(Hr,"SPAN",{});var Ur=n(lo);S(be.$$.fragment,Ur),Ur.forEach(t),Hr.forEach(t),zt=p(Wo),mo=a(Wo,"SPAN",{});var Wr=n(mo);Ct=l(Wr,"SeaformerImageProcessor"),Wr.forEach(t),Wo.forEach(t),Mo=p(e),I=a(e,"DIV",{class:!0});var le=n(I);S(ve.$$.fragment,le),At=p(le),co=a(le,"P",{});var Br=n(co);Ft=l(Br,"Constructs a Seaformer image processor."),Br.forEach(t),Mt=p(le),Q=a(le,"DIV",{class:!0});var Bo=n(Q);S(Se.$$.fragment,Bo),jt=p(Bo),fo=a(Bo,"P",{});var Vr=n(fo);Lt=l(Vr,"Preprocess an image or batch of images."),Vr.forEach(t),Bo.forEach(t),Nt=p(le),X=a(le,"DIV",{class:!0});var Vo=n(X);S(we.$$.fragment,Vo),Dt=p(Vo),ye=a(Vo,"P",{});var Go=n(ye);qt=l(Go,"Converts the output of "),Ve=a(Go,"A",{href:!0});var Gr=n(Ve);Rt=l(Gr,"SeaformerForSemanticSegmentation"),Gr.forEach(t),Ot=l(Go,` into semantic segmentation maps. Only supports
PyTorch.`),Go.forEach(t),Vo.forEach(t),le.forEach(t),jo=p(e),O=a(e,"H2",{class:!0});var Yo=n(O);ee=a(Yo,"A",{id:!0,class:!0,href:!0});var Yr=n(ee);po=a(Yr,"SPAN",{});var Jr=n(po);S($e.$$.fragment,Jr),Jr.forEach(t),Yr.forEach(t),Ht=p(Yo),ho=a(Yo,"SPAN",{});var Zr=n(ho);Ut=l(Zr,"SeaformerModel"),Zr.forEach(t),Yo.forEach(t),Lo=p(e),A=a(e,"DIV",{class:!0});var Xe=n(A);S(Te.$$.fragment,Xe),Wt=p(Xe),xe=a(Xe,"P",{});var Jo=n(xe);Bt=l(Jo,`The bare Seaformer encoder (Mix-Transformer) outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Pe=a(Jo,"A",{href:!0,rel:!0});var Kr=n(Pe);Vt=l(Kr,"torch.nn.Module"),Kr.forEach(t),Gt=l(Jo,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Jo.forEach(t),Yt=p(Xe),k=a(Xe,"DIV",{class:!0});var me=n(k);S(Ie.$$.fragment,me),Jt=p(me),H=a(me,"P",{});var eo=n(H);Zt=l(eo,"The "),Ge=a(eo,"A",{href:!0});var Qr=n(Ge);Kt=l(Qr,"SeaformerModel"),Qr.forEach(t),Qt=l(eo," forward method, overrides the "),go=a(eo,"CODE",{});var Xr=n(go);Xt=l(Xr,"__call__"),Xr.forEach(t),er=l(eo," special method."),eo.forEach(t),or=p(me),S(oe.$$.fragment,me),tr=p(me),S(te.$$.fragment,me),me.forEach(t),Xe.forEach(t),No=p(e),U=a(e,"H2",{class:!0});var Zo=n(U);re=a(Zo,"A",{id:!0,class:!0,href:!0});var ea=n(re);uo=a(ea,"SPAN",{});var oa=n(uo);S(Ee.$$.fragment,oa),oa.forEach(t),ea.forEach(t),rr=p(Zo),_o=a(Zo,"SPAN",{});var ta=n(_o);ar=l(ta,"SeaformerDecodeHead"),ta.forEach(t),Zo.forEach(t),Do=p(e),W=a(e,"DIV",{class:!0});var Ko=n(W);S(ke.$$.fragment,Ko),nr=p(Ko),Ye=a(Ko,"DIV",{class:!0});var ra=n(Ye);S(ze.$$.fragment,ra),ra.forEach(t),Ko.forEach(t),qo=p(e),B=a(e,"H2",{class:!0});var Qo=n(B);ae=a(Qo,"A",{id:!0,class:!0,href:!0});var aa=n(ae);bo=a(aa,"SPAN",{});var na=n(bo);S(Ce.$$.fragment,na),na.forEach(t),aa.forEach(t),sr=p(Qo),vo=a(Qo,"SPAN",{});var sa=n(vo);ir=l(sa,"SeaformerForSemanticSegmentation"),sa.forEach(t),Qo.forEach(t),Ro=p(e),F=a(e,"DIV",{class:!0});var oo=n(F);S(Ae.$$.fragment,oo),lr=p(oo),Fe=a(oo,"P",{});var Xo=n(Fe);mr=l(Xo,`Seaformer Model transformer with an all-MLP decode head on top e.g. for ADE20k, CityScapes.
This model is a PyTorch `),Me=a(Xo,"A",{href:!0,rel:!0});var ia=n(Me);dr=l(ia,"torch.nn.Module"),ia.forEach(t),cr=l(Xo,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Xo.forEach(t),fr=p(oo),z=a(oo,"DIV",{class:!0});var de=n(z);S(je.$$.fragment,de),pr=p(de),V=a(de,"P",{});var to=n(V);hr=l(to,"The "),Je=a(to,"A",{href:!0});var la=n(Je);gr=l(la,"SeaformerForSemanticSegmentation"),la.forEach(t),ur=l(to," forward method, overrides the "),So=a(to,"CODE",{});var ma=n(So);_r=l(ma,"__call__"),ma.forEach(t),br=l(to," special method."),to.forEach(t),vr=p(de),S(ne.$$.fragment,de),Sr=p(de),S(se.$$.fragment,de),de.forEach(t),oo.forEach(t),this.h()},h(){m(c,"name","hf:doc:metadata"),m(c,"content",JSON.stringify(ya)),m(g,"id","seaformer"),m(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(g,"href","#seaformer"),m(_,"class","relative group"),m(G,"id","overview"),m(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(G,"href","#overview"),m(L,"class","relative group"),m(fe,"href","https://arxiv.org/abs/2301.13156"),m(fe,"rel","nofollow"),m(pe,"href","https://huggingface.co/Inderpreet01"),m(pe,"rel","nofollow"),m(he,"href","https://github.com/fudan-zvg/SeaFormer/tree/f64a6b5a5bfc72d91fbeae9ac4f54cccd72e5fe4/seaformer-seg"),m(he,"rel","nofollow"),m(J,"id","transformers.SeaformerConfig"),m(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(J,"href","#transformers.SeaformerConfig"),m(N,"class","relative group"),m(Ue,"href","/docs/transformers/pr_21819/en/model_doc/seaformer#transformers.SeaformerModel"),m(_e,"href","https://huggingface.co/nvidia/seaformer-b0-finetuned-ade-512-512"),m(_e,"rel","nofollow"),m(We,"href","/docs/transformers/pr_21819/en/main_classes/configuration#transformers.PretrainedConfig"),m(Be,"href","/docs/transformers/pr_21819/en/main_classes/configuration#transformers.PretrainedConfig"),m(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(K,"id","transformers.SeaformerImageProcessor"),m(K,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(K,"href","#transformers.SeaformerImageProcessor"),m(R,"class","relative group"),m(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ve,"href","/docs/transformers/pr_21819/en/model_doc/seaformer#transformers.SeaformerForSemanticSegmentation"),m(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ee,"id","transformers.SeaformerModel"),m(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(ee,"href","#transformers.SeaformerModel"),m(O,"class","relative group"),m(Pe,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Pe,"rel","nofollow"),m(Ge,"href","/docs/transformers/pr_21819/en/model_doc/seaformer#transformers.SeaformerModel"),m(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(re,"id","transformers.SeaformerDecodeHead"),m(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(re,"href","#transformers.SeaformerDecodeHead"),m(U,"class","relative group"),m(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ae,"id","transformers.SeaformerForSemanticSegmentation"),m(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(ae,"href","#transformers.SeaformerForSemanticSegmentation"),m(B,"class","relative group"),m(Me,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Me,"rel","nofollow"),m(Je,"href","/docs/transformers/pr_21819/en/model_doc/seaformer#transformers.SeaformerForSemanticSegmentation"),m(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,d){o(document.head,c),h(e,x,d),h(e,_,d),o(_,g),o(g,b),w(s,b,null),o(_,u),o(_,C),o(C,et),h(e,To,d),h(e,L,d),o(L,G),o(G,ro),w(ce,ro,null),o(L,ot),o(L,ao),o(ao,tt),h(e,xo,d),h(e,Y,d),o(Y,rt),o(Y,fe),o(fe,at),o(Y,nt),h(e,Po,d),h(e,qe,d),o(qe,st),h(e,Io,d),h(e,Re,d),o(Re,no),o(no,it),h(e,Eo,d),h(e,Oe,d),o(Oe,lt),h(e,ko,d),h(e,He,d),o(He,mt),h(e,zo,d),h(e,M,d),o(M,dt),o(M,pe),o(pe,ct),o(M,ft),o(M,he),o(he,pt),o(M,ht),h(e,Co,d),h(e,N,d),o(N,J),o(J,so),w(ge,so,null),o(N,gt),o(N,io),o(io,ut),h(e,Ao,d),h(e,P,d),w(ue,P,null),o(P,_t),o(P,D),o(D,bt),o(D,Ue),o(Ue,vt),o(D,St),o(D,_e),o(_e,wt),o(D,yt),o(P,$t),o(P,q),o(q,Tt),o(q,We),o(We,xt),o(q,Pt),o(q,Be),o(Be,It),o(q,Et),o(P,kt),w(Z,P,null),h(e,Fo,d),h(e,R,d),o(R,K),o(K,lo),w(be,lo,null),o(R,zt),o(R,mo),o(mo,Ct),h(e,Mo,d),h(e,I,d),w(ve,I,null),o(I,At),o(I,co),o(co,Ft),o(I,Mt),o(I,Q),w(Se,Q,null),o(Q,jt),o(Q,fo),o(fo,Lt),o(I,Nt),o(I,X),w(we,X,null),o(X,Dt),o(X,ye),o(ye,qt),o(ye,Ve),o(Ve,Rt),o(ye,Ot),h(e,jo,d),h(e,O,d),o(O,ee),o(ee,po),w($e,po,null),o(O,Ht),o(O,ho),o(ho,Ut),h(e,Lo,d),h(e,A,d),w(Te,A,null),o(A,Wt),o(A,xe),o(xe,Bt),o(xe,Pe),o(Pe,Vt),o(xe,Gt),o(A,Yt),o(A,k),w(Ie,k,null),o(k,Jt),o(k,H),o(H,Zt),o(H,Ge),o(Ge,Kt),o(H,Qt),o(H,go),o(go,Xt),o(H,er),o(k,or),w(oe,k,null),o(k,tr),w(te,k,null),h(e,No,d),h(e,U,d),o(U,re),o(re,uo),w(Ee,uo,null),o(U,rr),o(U,_o),o(_o,ar),h(e,Do,d),h(e,W,d),w(ke,W,null),o(W,nr),o(W,Ye),w(ze,Ye,null),h(e,qo,d),h(e,B,d),o(B,ae),o(ae,bo),w(Ce,bo,null),o(B,sr),o(B,vo),o(vo,ir),h(e,Ro,d),h(e,F,d),w(Ae,F,null),o(F,lr),o(F,Fe),o(Fe,mr),o(Fe,Me),o(Me,dr),o(Fe,cr),o(F,fr),o(F,z),w(je,z,null),o(z,pr),o(z,V),o(V,hr),o(V,Je),o(Je,gr),o(V,ur),o(V,So),o(So,_r),o(V,br),o(z,vr),w(ne,z,null),o(z,Sr),w(se,z,null),Oo=!0},p(e,[d]){const Le={};d&2&&(Le.$$scope={dirty:d,ctx:e}),Z.$set(Le);const wo={};d&2&&(wo.$$scope={dirty:d,ctx:e}),oe.$set(wo);const yo={};d&2&&(yo.$$scope={dirty:d,ctx:e}),te.$set(yo);const $o={};d&2&&($o.$$scope={dirty:d,ctx:e}),ne.$set($o);const Ne={};d&2&&(Ne.$$scope={dirty:d,ctx:e}),se.$set(Ne)},i(e){Oo||(y(s.$$.fragment,e),y(ce.$$.fragment,e),y(ge.$$.fragment,e),y(ue.$$.fragment,e),y(Z.$$.fragment,e),y(be.$$.fragment,e),y(ve.$$.fragment,e),y(Se.$$.fragment,e),y(we.$$.fragment,e),y($e.$$.fragment,e),y(Te.$$.fragment,e),y(Ie.$$.fragment,e),y(oe.$$.fragment,e),y(te.$$.fragment,e),y(Ee.$$.fragment,e),y(ke.$$.fragment,e),y(ze.$$.fragment,e),y(Ce.$$.fragment,e),y(Ae.$$.fragment,e),y(je.$$.fragment,e),y(ne.$$.fragment,e),y(se.$$.fragment,e),Oo=!0)},o(e){$(s.$$.fragment,e),$(ce.$$.fragment,e),$(ge.$$.fragment,e),$(ue.$$.fragment,e),$(Z.$$.fragment,e),$(be.$$.fragment,e),$(ve.$$.fragment,e),$(Se.$$.fragment,e),$(we.$$.fragment,e),$($e.$$.fragment,e),$(Te.$$.fragment,e),$(Ie.$$.fragment,e),$(oe.$$.fragment,e),$(te.$$.fragment,e),$(Ee.$$.fragment,e),$(ke.$$.fragment,e),$(ze.$$.fragment,e),$(Ce.$$.fragment,e),$(Ae.$$.fragment,e),$(je.$$.fragment,e),$(ne.$$.fragment,e),$(se.$$.fragment,e),Oo=!1},d(e){t(c),e&&t(x),e&&t(_),T(s),e&&t(To),e&&t(L),T(ce),e&&t(xo),e&&t(Y),e&&t(Po),e&&t(qe),e&&t(Io),e&&t(Re),e&&t(Eo),e&&t(Oe),e&&t(ko),e&&t(He),e&&t(zo),e&&t(M),e&&t(Co),e&&t(N),T(ge),e&&t(Ao),e&&t(P),T(ue),T(Z),e&&t(Fo),e&&t(R),T(be),e&&t(Mo),e&&t(I),T(ve),T(Se),T(we),e&&t(jo),e&&t(O),T($e),e&&t(Lo),e&&t(A),T(Te),T(Ie),T(oe),T(te),e&&t(No),e&&t(U),T(Ee),e&&t(Do),e&&t(W),T(ke),T(ze),e&&t(qo),e&&t(B),T(Ce),e&&t(Ro),e&&t(F),T(Ae),T(je),T(ne),T(se)}}}const ya={local:"seaformer",sections:[{local:"overview",title:"Overview"},{local:"transformers.SeaformerConfig",title:"SeaformerConfig"},{local:"transformers.SeaformerImageProcessor",title:"SeaformerImageProcessor"},{local:"transformers.SeaformerModel",title:"SeaformerModel"},{local:"transformers.SeaformerDecodeHead",title:"SeaformerDecodeHead"},{local:"transformers.SeaformerForSemanticSegmentation",title:"SeaformerForSemanticSegmentation"}],title:"Seaformer"};function $a(E){return ga(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class za extends ca{constructor(c){super();fa(this,c,$a,wa,pa,{})}}export{za as default,ya as metadata};
